Introduction

Next page >

Dr.Explain 5

The user guide
Next page >


Dr.Explain Overview

With Dr.Explain you can easily create help documentation both for desktop and web applications that are made in any programming language, IDE, or UI framework

Dr.Explain captures windows from live applications or websites and automatically recognizes application controls. The program automatically creates annotated screenshots with numbered callouts and tags. In comparison with other help authoring tools, this unique technology allows for writing documentation for applications with comprehensive user interfaces much faster.

The most effective way to create help files, online manuals, and printable documentation

Manage text content, technical illustrations and annotated screenshots with ease. Flexibly set up your documentation layout, help topics, and content structure. Embed support for keyword indexes and full text search capabilities without programming or server side scripting. Link help topics with application modules to create context sensitive help files.

Dr.Explain generates multiple output help formats from a single source

Use one source and one tool to create standalone help files, online manuals, or printable documentation for your software systems. Generate online manuals with search capabilities without programming, databases, or server side scripting. Compile Microsoft HTML Help files in CHM format to ship with your application. Make printable and cross-platform documentation in RTF and PDF formats.


Getting started

This section contains information on how to install, configure, and register your copy of Dr.Explain. You will also learn its main features and functions — all you need in order to start creating professional CHM, HTML, PDF, and RTF manuals.

Getting started

Quick overview
Installation
Full version advantages
Registration & updating
Application main window
Application & language settings


Quick overview

This section contains a quick overview of Dr.Explain software, lists system requirements and credits.

Quick overview

About Dr.Explain
System requirements
Credits
Contacts
License


About Dr.Explain

Dr.Explain is a professional help authoring tool combining lots of useful features that make the process of creating technical documentation easy and effortless — be it documentation for a desktop or web application. Dr.Explain is a good choice for any software vendor, from ISV and freelancers to big software development companies and studios.
Its main features such as screen capturing and automatic creation of annotations for screenshots make it stand out among other documentation tools. From one single source, you will be able to output your documentation to HTML, CHM, RTF, or PDF format.


System requirements

Dr.Explain has the following minimum system requirements:
  • •
    Hardware: 1GHz CPU, 512 MB RAM, 200 MB of free space on HDD
  • •
    OS: The following OS configurations are supported:
    MS Windows Server 2008 R2 64 bit
    MS Windows Server 2012 64 bit
    MS Windows Server 2016 64 bit
    MS Windows 7 64 bit
    MS Windows 8 64 bit
    MS Windows 8.1 64 bit
    MS Windows 10 64 bit
  • •
    Note: Dr.Explain is a 64 bit application and cannot be installed on 32 bit operating systems.


Credits

Dr.Explain reuses the following third-party free components that require disclosure:
Anti-Grain Geometry Library, available at http://www.antigrain.com/ and licensed under an AGG License ( http://www.antigrain.com/license/index.html )
Anti-Grain Geometry - Version 2.4
Copyright (C) 2002-2004 Maxim Shemanarev (McSeem)
Permission to copy, use, modify, sell and distribute this software is granted providing this copyright notice appears in all copies.
This software is provided "as is" without an express or implied warranty, and with no claim as to its suitability for any purpose.
Crypto++ Library 5.5.2, available at http://www.cryptopp.com/ and is licensed under the following license http://www.cryptopp.com/License.txt
Compilation Copyright (c) 1995-2010 by Wei Dai. All rights reserved.
Permission to use, copy, modify, and distribute this compilation for any purpose, including commercial applications, is hereby granted without a fee, subject to Crypto++ Library 5.5.2 license restrictions.
Compact language detector, available at http://code.google.com/p/chromium-compact-language-detector/ and is licensed under the following license:
Copyright (c) 2010 The Chromium Authors. All rights reserved.
Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
* Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
* Neither the name of Google Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
The Chromium Authors.
- Michael McCandless <lucene at mikemccandless.com> Maintainer.
- Alberto Simões <hashashin at gmail.com> Debian/kFreeBSD support.
- Jehan <jehan at mygengo.com> Packaging (Makefile, pkg-config, libtool).
ICU 1.8.1 and later, available at http://www.icu-project.org/ and is licensed under the following license:
Copyright (c) 1995-2015 International Business Machines Corporation and others. All rights reserved.
Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, provided that the above copyright notice(s) and this permission notice appear in all copies of the Software and that both the above copyright notice(s) and this permission notice appear in supporting documentation.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
Except as contained in this notice, the name of a copyright holder shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization of the copyright holder.


Contacts

Product website

Additional information and the contact form are available on the Dr.Explain website: www.drexplain.com

E-mail

Dr.Explain support: help@drexplain.com
General requests: info@drexplain.com

Submit support ticket

If you have a question about Dr.Explain features, functionality, or pricing then submit a ticket.


License

INDIGO BYTE SYSTEMS
Software Program License Agreement
THIS IS A CONTRACT. PLEASE READ IT CAREFULLY. BY INSTALLING, USING OR COPYING THE SOFTWARE PROGRAM YOU ACKNOWLEDGE THAT YOU HAVE READ AND ACCEPT THE FOLLOWING TERMS AND CONDITIONS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL, COPY, OR USE THE SOFTWARE PROGRAM.
THIS LICENSE AGREEMENT REPRESENTS THE ENTIRE AGREEMENT CONCERNING THE SOFTWARE PROGRAM BETWEEN YOU AND INDIGO BYTE SYSTEMS. AND IT SUPERSEDES ANY PRIOR PROPOSAL, REPRESENTATION, OR UNDERSTANDING BETWEEN THE PARTIES.
1. LICENSE GRANT. INDIGO BYTE SYSTEMS (referred to as "Licensor"), and any applicable licensors hereby grant to you, and you accept, a non-exclusive license to use one copy of the Software Program solely for your own personal or business purposes. The Software Program may be used only on a single computer owned, leased, or otherwise controlled by you; or in the event of the inoperability of that computer, on a backup device selected by you. Concurrent use on two or more devices is not authorized without the advance written consent of Licensor and the payment of additional license fees.
You agree that you will not assign, sublicense, transfer, pledge, lease, rent, or share your rights under this License Agreement. Upon loading the Software Program, you may retain the Software Program for backup purposes. You may make one copy of the User's Guide for backup purposes. Any such copies of the Software Program or the User's Guide shall include Licensor's copyright and other proprietary notices. Except as authorized under this paragraph, no copies of the Software Program or any portions thereof may be made by you or any person under your authority or control.
2. LICENSOR'S RIGHTS. You acknowledge and agree that the Software Program consists of proprietary, unpublished products of Licensor, protected under U.S. copyright law and trade secret laws of general applicability. You further acknowledge and agree that all right, title, and interest in and to the Software Program are and shall remain with Licensor. This License Agreement does not convey to you an interest in or to the Software Program, but only a limited right of use revocable in accordance with the terms of this License Agreement.
3. LICENSE FEES. The license fees paid by you are paid in consideration of the licenses granted under this License Agreement.
4. TERM. This License Agreement is effective upon your installation, copy or use of this Software Program and shall continue until terminated. Licensor may terminate this License Agreement upon the breach by you of any term hereof. Upon such termination by Licensor, you agree to return to Licensor the Program and all copies and portions thereof.
5. LIMITED WARRANTY. THE SOFTWARE PROGRAM, AND THE SOFTWARE CONTAINED THEREIN, ARE LICENSED "AS IS", AND LICENSOR DISCLAIMS ANY AND ALL WARRANTIES, WHETHER EXPRESS OR IMPLIED, INCLUDING (WITHOUT LIMITATION) ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. INDIGO BYTE SYSTEMS DOES NOT WARRANT THAT THE FUNCTIONS CONTAINED IN THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR THAT THE OPERATION OF THE SOFTWARE WILL BE ERROR FREE.
6. UPGRADE POLICY. INDIGO BYTE SYSTEMS may create, from time to time, update versions of the Software Program. At its option and at such a fee as INDIGO BYTE SYSTEMS may determine, INDIGO BYTE SYSTEMS may make such updates available to the Licensee.
7. LIMITATION OF LIABILITY. Licensor's cumulative liability to you or any other party for any loss or damages resulting from any claims, demands, or actions arising out of or relating to this Agreement shall not exceed the license fee paid to Licensor for the use of the Software Program. In no event shall Licensor be liable for any indirect, incidental, consequential, special, or exemplary damages or lost profits, even if Licensor has been advised of the possibility of such damages. SOME STATES DO NOT ALLOW THE LIMITATION OR EXCLUSION OF LIABILITY FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATION OR EXCLUSION MAY NOT APPLY TO YOU.
8. COSTS OF LITIGATION. If either party brings any action to this License Agreement against the other party regarding the subject matter hereof, the prevailing party shall be entitled to recover, in addition to any other relief granted, reasonable attorney fees and expenses of litigation.
9. SEVERABILITY. Should any court of competent jurisdiction declare any term of this License Agreement void or unenforceable, such declaration shall have no effect on the remaining terms hereof.
10. NO WAIVER. The failure of either party to enforce any rights granted hereunder or to take action against the other party in the event of any breach hereunder shall not be deemed a waiver by that party as to subsequent enforcement of rights or subsequent actions in the event of future breaches.
11. U.S. GOVERNMENT RESTRICTED RIGHTS. The Software Program and Documentation are provided with Restricted Rights. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph ((c)(1)(ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.277-7013, or subparagraphs (c)(1) and (2) of the Commercial Computer Software--Restricted Rights at 48 CFR 52.227-19, as applicable. Manufacturer is INDIGO BYTE SYSTEMS.
--------------------------
--------------------------
The IBM ICU library is used in Dr.Explain software.
ICU License - ICU 1.8.1 and later
COPYRIGHT AND PERMISSION NOTICE
Copyright (c) 1995-2010 International Business Machines Corporation and others
All rights reserved.
Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, provided that the above copyright notice(s) and this permission notice appear in all copies of the Software and that both the above copyright notice(s) and this permission notice appear in supporting documentation.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
Except as contained in this notice, the name of a copyright holder shall not be used in advertising or otherwise to promote the sale, use or other dealings in this Software without prior written authorization of the copyright holder.
All trademarks and registered trademarks mentioned herein are the property of their respective owners.


Installation

Please follow these instructions to install Dr.Explain on your PC:
  • 1.
    Download the latest installation package from the Dr.Explain website: https://www.drexplain.com/download/ and save it to your computer.
  • 2.
    Extract setup.exe from the downloaded archive. Use WinZip or another archiving utility.
  • 3.
    Run setup.exe and follow the instructions. If you plan to create PDF files with Dr.Explain then you need to agree to install Java Runtime Environment. You don't need to uninstall the previous version.
  • 4.
    Run Dr.Explain once the installation is finished.
By default, Dr.Explain is installed to C:\Program Files\DrExplain.
Note: might be required to run the setup.exe as the Administrator.


Full version advantages

Trial limitations

The free demo mode allows you to create projects of any size. So you may try all the capabilities of Dr.Explain for free.
All output images in the free mode are watermarked. Some productivity boost functions are also locked in the free mode. A paid license key is required to remove image watermarks and unlock protected functions.

Licensing model

Dr.Explain is licensed under a per-user model. There are no support or annual fees.
All minor updates (e.g. 5.x) are free. Major updates (e.g. 5.x to 6.x) may be paid for those who ordered a license more than 12 months ago.
More information about licensing: https://www.drexplain.com/ordering_faq/

License types

There are three types of licenses: Regular, Advanced and Ultima.
An Advanced License enables advanced functions that boost productivity when working with large and complex projects. Also, Advanced license allows you to generate PDF files and use JavaScripts in your online help. By using the Advanced license you will be able to use the full features of online help tools like full text search in online manuals, keyword indexes, pages print preview, pop-up tooltips and other tools. See the table below for more details.
Advanced License allows you to use advanced features that speed up the process of help authoring. Advanced features are most helpful for large projects with many nesting and cross-linked topics, many illustrations and annotated screenshots.
The Ultima license allows multiple Dr.Explain users to work together on the same projects via tiwri.com platform.
The following table lists the difference between the Free, Regular, Advanced, and Ultima version of Dr.Explain:

Compare the licenses

 | Free Trial | Regular | Advanced | Ultima
HTML output | Watermarks on images | + | + | +
RTF output | Watermarks on images | + | + | +
CHM output | Watermarks on images | + | + | +
PDF output | Watermarks on images | Watermarks on images | + | +
Search in online manuals | Search result titles are trimmed | Search result titles are trimmed | + | +
Keyword indexes in online manuals | Keyword titles are trimmed | Keyword titles are trimmed | + | +
Tree-like menu in online manuals | Menu item titles on second level are trimmed | Menu item titles on second level are trimmed | + | +
Print versions of pages in online manuals |  |  | + | +
Pop-up tooltips over screenshots |  |  | + | +
Validation tool |  |  | + | +
Compacting tool |  |  | + | +
Command line mode |  |  | + | +
Google sitemap generator |  |  | + | +
Teamwork via tiwri.com |  |  |  | +
 |  | Order | Order | Order


Registration & updating

Dr.Explain is licensed under a per-user model. You may choose a license bundle that suits your needs at https://www.drexplain.com/order .
To proceed to the order form, just select an appropriate pack from those listed on our website and pay by any method convenient for you. You will receive a confirmation message with your license key.
Once you have received your license key, please enter it in the Registration & activation dialog .
To update your version of Dr.Explain, download it from https://www.drexplain.com/download/ and run the setup.exe file as described in the Installation section. You do not need to uninstall the previous version of the software.

Registration & updating

Registration & activation dialog


Registration & activation dialog

To be able to register your copy of Dr.Explain and to activate a license key, go to Help and click Register Dr.Explain. The application will display the Activation dialog, where you must provide your registration details to complete the registration and license activation process. After you complete the license activation, you will switch to the licensed mode .
Registration & activation dialog

Order ID field

1. Order ID field
Copy and paste your order reference number in this field as it appears in the order form.
Top

Key field

2. Key field
Copy and paste your license key in this field.
Top

Activation type

3. Activation type
The registration process includes license activation step. The license key is activated remotely on Dr.Explain server.
If you choose Online activation then the process will be completed automatically via active Internet connection.
If you have no active Internet connection on the computer then you can switch to By email activation:
In this case, you must send the verification string to activation@drexplain.com from any available computer with email software and then enter the response into the Activation key field of the dialog to complete the license activation process.
Top

Activate button

4. Activate button Click the Activate button to submit the registration information and to activate the license in the certain copy of Dr.Explain.
Top
Note: you might need to restart Dr.Explain to complete the registration process.

Cancel button

5. Cancel button Click this button to discard the changes and close the dialog.
Top


Application main window

The main window of Dr.Explain allows you to manage your project elements. In this window, you may create new projects, add new elements and manage application options and project settings.
Application main window

Main toolbar

1. Main toolbar
Dr.Explain's main toolbar provides quick access to the key functions of Dr.Explain:
  • •
    — click this button to create a new project.
  • •
    — click this button to open an existing project.
  • •
    — click this button to save the current project.
  • •
    — click this button to commit all changes to the server when working with a shared project.
  • •
    — click this button to update the project and to retrieve changes from the server when working with a shared project.
  • •
    — is the main button of Dr.Explain. Click it to capture a new window, parse its structure and add a new window screenshot and all its control references to the project. See section Capturing screen for more details. Drop-down menu allows you to add a screenshot from a saved graphical file or clipboard.
  • •
    — click this button to insert a new topic page or import external files into the project.
  • •
    — click this button to cut the selected element from the project tree or text and copy it to the application's clipboard.
  • •
    — click this button to copy the selected project tree element or text into the application's clipboard.
  • •
    — click this button to paste the element from the clipboard into the project's tree or content editor.
  • •
    — click this button to export the current project into HTML online help format.
  • •
    — click this button to export the current project into CHM file format.
  • •
    — click this button to export the current project into RTF file (Microsoft Word).
  • •
    — click this button to export the current project into PDF file.
  • •
    — click this button to configure options for your current project. See chapter Project settings for more details.
  • •
    — click this button to display information about Dr.Explain and registration details.
Top

Mode tabs

2. Mode tabs
Tab control allows you to easily switch between Editing and Preview modes. See section HTML, CHM, & PDF preview for more details.
Top

Content editor

3. Content editor
This is the main workspace of Dr.Explain. It allows you to edit topic content in WYSIWYG style. See chapter Editing content for more details.
Top

Project tree

4. Project tree
Tree view displays the structure of your project and allows you to quickly navigate through the project's elements: topics and screenshot pages.
Use the pop-up menu to add new elements to your project, rename, delete, disable or rearrange nodes.
Use Ctrl+Up and Ctrl+Down keyboard shortcuts to change the order of sibling nodes in section.
Top

Properties / Keywords list pane

5. Properties / Keywords list pane
This pane allows you to manage topic properties and keyword index list.
Top

Status bar

6. Status bar
It shows status and progress of the operations being performed. The status bar also displays hints for toolbar buttons and menu items when you point your cursor at them.
Top


Application & language settings

This section contains details on application settings and how to change the language of the application.

Application & language settings

Application settings window
Application language window


Application settings window

In the Application settings window, you can configure the global settings for Dr.Explain. To open the application settings window, go to Options and click the Application settings... menu option. You will see the following window:
Application settings window

Splash screen

1. Splash screen
Clear this check box if you do not want the splash screen to appear each time you start Dr.Explain.
Top

Load last project

2. Load last project
If this option is turned on, Dr.Explain will open the most recent project by default and will skip the project selection mode on start-up.
Top

Autosave

In this section, you can enable/disable autosaving of the project. You can set the time interval and destination folder for autosaving.
Top

Capturing scenario folder

4. Capturing scenario folder
In this section, you can set the path to the capturing scenario folder. Click the (...) button to set a new path. Click Go To button to display the current scenario folder in Windows Explorer. For more details on capturing scenarios, see the Screen capturing settings section.
Top

Java Bin folder

5. Java Bin folder
In this section, you can set the path to Java binaries which are required to create PDF files and to capture Java Swing application screenshots.
Top

Swing capturing assistant

6. Swing capturing assistant
To capture Java applications Dr.Explain requires the Java Swing Capturing Assistant. The Assistant is a simple JAR file that must be put in your Java Home folder.
It will assist Dr.Explain by providing information about Swing GUI components lying under the mouse pointer.
Use the corresponding button to install or uninstall Java Swing Capturing Assistant.
Top

OK button

7. OK button Click OK to save your changes.
Top

Cancel button

8. Cancel button Click Cancel to discard your changes.
Top


Application language window

In the Application language... window, you can set the language for your copy of Dr.Explain. To open the application language window, go to Options and click the Application language... menu option. The following dialog is displayed:
Application language window

Supported languages

1. Supported languages
This list displays all available languages for Dr.Explain.
Top

OK button

2. OK button After you selected the necessary language from the list, click OK to apply it.
Top
Note: you need to restart Dr.Explain for the changes to take effect.

Cancel button

3. Cancel button Click Cancel to discard your changes.
Top


Creating project

This section contains quick tutorials to help you start working with Dr.Explain. It contains steps on creating new projects, opening recent projects, importing existing documentation from other sources, saving your project and explains how to work with multiple projects.

Creating project

Startup screen
Creating new project
Opening project
Import dialog
Saving & closing project


Startup screen

Each time you launch an instance of Dr.Explain, the application by default shows the startup screen that allows you to create a new project, import an existing document or to open a recent project:

Create a new local project

1. Create a new local project
Select this option button to start working on a new local project.
Top

Create a new shared project

2. Create a new shared project
Select this option button to create new shared project on tiwri.com server.
Top

Checkout a shared project

3. Checkout a shared project
Select this option button to open a shared project from tiwri.com server.
Top

Open existing project

4. Open existing project
Select this option button to open an existing project from file.
Top

Import files

5. Import files
Once you select a source format in the list you will be prompted to select a source file or folder for import. This section works similar to Import dialog.
Top

Project list

6. Project list
This section contains the list of recent projects. Shared projects are marked with blue color.
Click the project you wish to open.
Top


Creating new project

To create a new local project, you can:
  • •
    use the Startup screen ;
  • •
    click the [image] button;
  • •
    go to the File menu and click the Create a local project command;
  • •
    use Ctrl+N keyboard shortcut.
To create a new shared project, you can:
  • •
    use the Startup screen ;
  • •
    go to the File menu and click the Create a shared project on tiwri.com command.
Then, you can start adding new topics and window screenshot pages to the project.
After you finished adding your topics, do not forget to save your project .


Opening project

To open your existing project:
  • •
    click the [image] button;
  • •
    go to File -> Open...;
  • •
    use the Ctrl+O keyboard shortcut;
  • •
    select the appropriate option button on the Startup screen .
Once you choose to open an existing project, the standard Windows Explorer dialog appears allowing you to locate the necessary file on your computer.
All projects are stored as .GUI files associated with Dr.Explain. You can also double-click the necessary project file in Windows Explorer or your file manager to open it in Dr.Explain for editing.


Import dialog

By using the Import function you can import existing documentation to your Dr.Explain projects and later publish it in the required format.
There are two ways to bring up the Import dialog:
  • •
    go to the File menu and select the Import... menu option;
  • •
    if you want to add an external file after a certain TOC topic, right-click the necessary topic, go to the Add... menu option and then choose the Import external files... menu option or use Alt+Shift+I shortcut.
After you select the Import... option, the following dialog appears:

List

This window lists all types of supported file formats that can be imported to Dr.Explain.
Select the file format that you would like to import to your documentation. Go to the corresponding topic later on in this document to learn the details on how to import each supported file format.
Top

Close button

2. Close button Click the Close button to close the Import dialog and abort import process.
Top

Import dialog

Import CHM
Import folder with files (HTML, TXT, XML)
Import standalone HTML file
Import HLP
Import RTF
Import Microsoft Word file


Import CHM

This section guides you through the process of importing compiled HTML Help (CHM) files to your projects.
To import a CHM file to your project, click the corresponding file type (CHM) in the Select import type list as shown on the screenshot below, then locate the necessary file on your computer.
After you specified import file, Dr.Explain will start processing it. It will show processing progress and display the results in a separate window:
When the import is finished, click the OK button to close this window and start working on imported data in Dr.Explain.


Import folder with files (HTML, TXT, XML)

This section guides you through the process of importing a folder with files on your computer (.html, .txt, .xml) to your projects.
To import a folder with files to your project, click the corresponding import option in the Select import type list as shown on the screenshot below, then locate the necessary folder on your computer.
After you selected the folder, Dr.Explain will start processing it. It will show the processing progress and display the results in a separate window:
When the import is finished, click the OK button to close this window and start working on imported data in Dr.Explain.


Import standalone HTML file

This section guides you through the process of importing a single HTML file on your computer to your project.
To import an HTML file to your project, click the corresponding import option in the Select import type list as shown on the screenshot below, then locate the necessary file on your computer.
After you specified import file, Dr.Explain will start processing it. It will show the processing progress and display the results in a separate window:
When the import is finished, click the OK button to close this window and start working on the imported data in Dr.Explain.


Import HLP

This section guides you through the process of importing a single HLP file on your computer to your project.
To import an HLP file to your project, click the corresponding import option in the Select import type list as shown on the screenshot below, then locate the necessary file on your computer.
After you specified import file, Dr.Explain will start processing it. It will show the processing progress and display the results in a separate window:
When the import is finished, click the OK button to close this window and start working on imported data in Dr.Explain.


Import RTF

This section guides you through the process of importing an RTF document to your project.
To import an RTF file to your project, click the corresponding import option in the Select import type list as shown on the screenshot below, then locate the necessary file on your computer.
After you specified import file, Dr.Explain will display Documents styles matching dialog.
After you have configured document matching styles, click the OK button to continue.
Dr.Explain will start processing your RTF file. It will show the progress and display the results in a separate window:
When the import is finished, click the OK button to close this window and start working on imported data in Dr.Explain.

Import RTF

Document styles matching dialog


Document styles matching dialog

This dialog allows you to match the document formatting styles to the nesting levels of topics by moving the necessary style or level to the corresponding side of the table.
Document styles matching dialog

RTF document styles list

1. RTF document styles list
This list displays all document styles found in the selected RTF document.
Top

Topic nesting levels list

2. Topic nesting levels list
This list shows all available topic nesting levels.
Top

Move buttons

3. Move buttons
Use these buttons to move the selected style(s) or level(s) from one list to the other.
Top

Document style preview

4. Document style preview
Shows the preview of the selected document style and displays the font settings.
Top

Nesting level preview

5. Nesting level preview
Shows the preview of the selected nesting level style and displays font settings.
Top

Page break check

6. Page break check
If you clear this check box, Dr.Explain will consider each page break in the specified RTF document as a topic's end.
Top

OK button

7. OK button Click this button to save the changes and close the window. Import of RTF document will be started.
Top

Reset button

8. Reset button Click this button to discard all the changes you have made. This will reset the window to the default settings and keep the window open.
Top

Cancel button

9. Cancel button Click this button to discard the changes and close the window. Import will be cancelled.
Top


Import Microsoft Word file

This section guides you through the process of importing a Microsoft Word document (.doc and .docx are supported) to your project.
Note: MS Word must be installed on your computer for this feature to work.
To import an MS Word file to your project, select the corresponding import option in the Select import type list, locate the necessary file on your computer and click the OK button as shown in the screenshot below:
After you click the OK button, Dr.Explain will display a file format conversion window:
This means that Dr.Explain will first try to convert your original Microsoft Word document (either in .doc or .docx format) into an HTML document. If the conversion process is successful, then Dr.Explain will display the Document styles matching dialog . If you have problems during this step, cancel import, open the document in Microsoft Word, save it as RTF and import the RTF file instead.
Then, configure document matching styles and click the OK button to continue.
Dr.Explain will start processing the converted HTML file. It will show the progress and display the results in a separate window:
When the import is finished, click the OK button to close this window and start working on imported data in Dr.Explain.


Saving & closing project

When working on your project, it is advised to save your project from time to time.
There are four ways to do so in Dr.Explain:
  • •
    go to the File menu and click the Save menu option;
  • •
    click the [image] button;
  • •
    use the Ctrl+S keyboard shortcut;
  • •
    when exiting or closing your project, you will be prompted to save your project if there are unsaved changes:
When you save your project for the first time, Dr.Explain displays the standard Save as... dialog. You need to specify the name for your project. Dr.Explain saves projects as the files with the .gui extension.
Once the project is completed, you may export it to HTML, RTF, PDF or CHM help files.
To close project, click the standard "x" button in the top right corner of the dialog or use File -> Close.


Editing content

In this chapter, you will learn how to edit content in your projects:
  • •
    how to manage topics and TOC;
  • •
    how to edit text and document styles;
  • •
    how to work with tables;
  • •
    how to insert hyperlinks and special objects;
  • •
    how to check spelling and preview HTML and CHM files.
Related topics: Working with graphics

Editing content

Working with topic tree
Editing text & styles
Working with tables
Inserting hyperlinks
Adding video
Check spelling
Inserting special objects
HTML, CHM, & PDF preview


Working with topic tree

Topic tree represents a list of the parts (topics) of a document or help organized in the tree-order in which those parts appear.
A topic is like a single document, on which your work at a time. Dr.Explain manages Topic tree and topics it consists of, as a single document (project file).
There are two special predefined topics in Topic tree:
  • •
    Title page
  • •
    Table of contents page
You can expand and collapse topics in Topic tree by using the standard controls or you can move topics around in the Topic tree and change the levels of your topics in the tree hierarchy.
The iconic buttons near the topics depend upon the project type.
For local projects there are Lock/Unlock icons:
Use these buttons to lock or unlock topics for editing. Locking topics allows to protect completed topic from occasional changes.
For shared projects, Edit/Commit icons are shown.
Use these buttons to lock topics on the server for editing and then to commit changes to the server and to release the locked topics for other users.
To enable automatic numbering for topics please setup the numbering style in Common settings and then enable numbering for certain topics in Topic properties

Working with topic tree

Title page
Table of contents page
Adding topics
Managing topics
Lock & status options
Topic properties


Title page

Title page is a special predefined topic which comes first in the Project tree and has the following icon [image]. In HTML output this page has a preset name "index" thus serving like index page for the web folder on your web site.
Its content is preset and consist of logo, document title and subtitle. It looks like this:
You can customize each of preset elements or replace it with your own content completely. Also, in the Title page properties you can specify if headers and footers must be shown on it and how to start document page numbering.
Here you can also specify the output formats for Title page (Export field). If you want to remove this page from output, you should uncheck all formats in the Export field (e.g. by pressing [image]).


Table of contents page

Table of contents (TOC) page is a special predefined topic which comes second in the Project tree and has the [image] icon. By default this page is excluded from HTML and CHM formats as it's mostly intended for printed formats: PDF and RTF.
Its content is preset and includes a special TOC object:
In the Text editor and in Preview modes the actual page numbers are replaced with NN token. Upon export into PDF and RTF formats NN token will be replaced with actual page numbers and all TOC elements will work like hyperlinks. You can include/exclude certain topics from TOC list by pressing [image] and [image] buttons on the left of topic titles.
Note: if the topic is excluded from TOC, this topic will still be included into the output.
You can customize style of TOC object in Table of contents properties dialog. Simply double click the TOC object or invoke the dialog from popup menu.

Table of contents page

Table of contents properties


Table of contents properties

Use this dialog to customize visual style for each level of Table of contents object. To invoke this dialog simply double click the TOC object in Table of contents page.
Table of contents properties

Levels to be included

1. Levels to be included
Use this drop-down to specify the number of topic levels to be included in TOC.
Top

Level selector

2. Level selector
Use the numbered buttons to select a level of TOC you want to customize.
Press [image] button to add a new level of TOC to customize its style.
Top

Indent

Use this slider to set relative indent for each TOC level in pixels.
Top

Font settings

4. Font settings
Specify font face, size, style and color here.
Top

Filler

Select space filling style here.
Top

Delete level

6. Delete level Press this button to delete style settings for a selected level of TOC.
Top

Excluded topics

7. Excluded topics
This is an informational area that lists topics excluded from TOC.
Top

Update

8. Update Press this button to accept changes and to close the dialog.
Top

Cancel

9. Cancel Press this button to discard changes and to close the dialog.
Top


Adding topics

Creating or adding topics is the most frequent operation you use when working with the table of contents. It is similar to creating new documents in regular word processors. After you create a topic, you can start adding text and other content to it or you can move it around your Topic tree.
To add a topic, point your cursor at the higher level topic if you plan to add it on the same level. If you point the cursor at a topic and choose to add a new topic, it will be added as a subtopic to the current topic.
There are several ways to add a topic to Topic tree:
  • •
    click the [image] button;
  • •
    go to the Options menu and click the Add topic menu option;
  • •
    use the Ctrl+T keyboard shortcut;
  • •
    right-click the required topic and select Add... then Add topic;
  • •
    import data from other files via the Import dialog .
There are three scenarios for adding a new topic:
  • •
    topic with text;
  • •
    topic with annotated screenshot ;
  • •
    topic with image from file .
When you add a topic, you will be prompted to specify its name in the Topic tree itself. You can always change its name later on by clicking its name and holding it for a while. After you have changed its name, either press the Enter button or just click another topic or inside the Content editor.


Managing topics

When adding topics to your project, you need to organize the topics so that Topic tree visualizes the structure of your future documentation.
There are several ways to move topics around in the Topic tree:
  • •
    right-click the topic you want to move and select the necessary menu option: Move up, Move down, Increase level, and Decrease level
  • •
    use the Ctrl+Up, Ctrl+Down, Ctrl+Left, and Ctrl+Right keyboard shortcuts
  • •
    drag and drop topics in the Topic Tree
  • •
    use standard OS commands: Copy, Cut and Paste
Keep in mind that you can copy topics even from one project to another.
To enable automatic numbering for topics please setup the numbering style in Common settings and then enable numbering for certain topics in Topic properties


Lock & status options

Locking topics in local projects

By locking topics in the Topic Tree of a local project, you can close a completed topic for editing so that a topic is available only for viewing. This might be very useful when several colleagues are working on a single project file and you can lock your topics, so that you or your colleagues cannot change them by accident. To edit a locked topic you need to unlock it first.
To lock a topic, right-click it in the Topic Tree and select the Lock this item menu option. By using this menu option you can also lock a topic and its subitems.
To unlock a topic, right-click the necessary topic and select the Unlock this and all subitems menu option.
Another way to lock/unlock items is using the [image] buttons.

Locking topics in shared projects

For shared projects, Edit/Commit icons are shown instead of Lock/Unlock icons.
Use these buttons to lock topics on the server for editing and then to commit changes to the server and to release the locked topics for other users. Please, read Teamwork & collaboration section to get more details on working with shared projects.

Status options

Statuses allow you to mark topics in a project tree view depending on their completeness level:
Not started
In progress
Completed
Waiting
The colored markup helps you visualize which parts of your project are done. Using statuses is convenient when working with large projects.
You may change the topic status either in its properties pane
or right-click the topic in the project tree view and use Set Status command in the pop-up menu.


Topic properties

In the Properties pane, you can specify topic or screenshot properties such as title, Help ID code, filename, etc. This pane is located in the lower left corner of your Dr.Explain project. To change a property, just click at the required field and specify the new value.

Auto

numbering

1. Auto numbering
Use this option to enable or disable automatic numeration for the topic. The preview shows you the number to be assigned to the topic in case the option is turned on. You can setup topic numbering style in the Project Settings / Common Settings.
Top

Title field

2. Title field
This field shows the topic title that you have specified when creating the topic. This name appears in the Topic Tree of the generated document.
Top

Topic (page)

name

3. Topic (page) name
This field allows you to specify the filename of the topic (without extension) for CHM and HTML output formats. If you plan to generate online help, this name will be used as part of the name for online help. E.g. /help/topic_properties.htm.
Top

Output format

4. Output format
Use these buttons to include and exclude the topic from certain formats. You can also exclude (hide) a topic from all formats by selecting it in the Topic tree and pressing the Delete key.
Top

Status

This field shows the current status of the topic.
Top

Help ID

6. Help ID
Use this field to specify the Help ID numeric code for the context sensitive help.
Top

Topic Alias

7. Topic Alias
Use this field to specify the string alias for the corresponding Help ID numeric code.
Top


Editing text & styles

You can edit text in Dr.Explain in the same way as in any word processor. You can either format (font, size, color) your text manually or configure styles for your project.
Styles allow you to configure global text settings that will be used throughout your project. Once you make changes in any style, Dr.Explain will automatically update text with the specified style in all topics.
Dr.Explain's content editor allows editing topic's content in WYSIWYG style. This may include bitmap images, texts, links, annotated screenshots, titles, tables and various objects that can be added with the text editor.
Double-click any object to edit its properties. If you work with a screenshot, you can manage its control references by switching to Designer mode.

Editing text & styles

Text editor options
Using styles


Text editor options

The Text Editor in Dr.Explain does not differ much from text editors in other word processors. It allows you to perform common text formatting operations, insert tables, images and other objects, etc.
Dr.Explain's embedded text editor supports rich text format with various font faces, including Unicode fonts (e.g. for Chinese). Dr.Explain also supports RTL (right-to-left) typing mode for languages such as Arabic or Hebrew.
If you need to find a word/phrase/symbol in Dr.Explain you can use the Find-and-Replace functionality that is present in most word processors by using the Ctrl+F or Ctrl+H keyboard shortcuts. You can also go to the Edit menu and select Find / Replace menu option there.
Text editor options

Text style

1. Text style Use this button to quickly apply a pre-configured text style to a part of text in the editor.
Top

Text formatting

2. Text formatting
Use these buttons to change the font face, size, style, format text as superscript or subscript, or change text color.
Changing font face:
Changing font size:
Hint: Start typing the font name or size in the list to quickly select it there.
Top

Paragraph alignment

3. Paragraph alignment Use these buttons to change the paragraph alignment.
Top

Insert link

4. Insert link Use this button to link the selected text to an external URL address or internal project node. See more: Insert link dialog .
Top

Insert image

5. Insert image Use this button to insert image from file, from clipboard, or a captured one.
You can either insert a plain image or create an annotated screenshot object.
You can also insert an image of annotated screenshot, control image or control bullet image.
Note: only one annotated screenshot object per topic is allowed.
Top

Insert video

6. Insert video Use this button to insert a video into this topic.
Top

Insert special object

7. Insert special object Use this button to insert a special object into your topic.
The special objects are:
  • •
    Text variables
  • •
    Special variables (e.g. page number)
  • •
    Horizontal line
  • •
    HTML code snippet
  • •
    Anchor
  • •
    Page break
  • •
    Page title
  • •
    Control title
Top

Insert table

8. Insert table Use this button to insert a table into your topic.
Top

Lists

9. Lists Use the buttons to insert numbered or bulleted lists into your topic. The drop-down list allows you to choose a desired numbering style from the pre-configured list. Also you can customize list styles in Project Settings.
Top

Spell checker

10. Spell checker Click this button to enable/disable the spell checking and/or configure spell checking settings .
Top


Using styles

A style is a set of text formatting options, such as font name, size, color, etc. that can be used throughout the document. By using styles you will not have to edit each time text or heading to make it look the way you want it. Styles are applied globally throughout the project, so instead of editing some text manually throughout the whole document, you can just edit and apply the specific style.
To apply a pre-configured style in a topic, click the left most button in the editor toolbar and select the appropriate style from the drop-down list:
Hint: Start typing the style name to quickly select it in the list.
You can also use keyboard shortcuts to apply styles in text editor.
The following styles are pre-configured by default:
  • •
    Normal (body text)
  • •
    Heading 1
  • •
    Heading 2
  • •
    Code (code selection)
  • •
    Quote (quote selection)
For more details on styles and how to add/edit them, see section Text formatting styles.
Note: styles in Dr.Explain don't include paragraph text alignment, indent, line spacing settings at the moment.


Working with tables

Dr.Explain allows you to insert tables of any complexity. Working with tables in Dr.Explain does not differ much from the options and operations found in other word processors.
Click the [image] button to insert a table into your topic
or use Ctrl+Shift+T shortcut. The following dialog appears:
To add a table, follow these steps:
  • •
    specify the necessary amount of rows and columns in the corresponding spin boxes;
  • •
    choose the necessary alignment for your table (default, left or right);
  • •
    select whether you want to have a frame around the table (none or solid);
  • •
    then configure the relative width;
  • •
    click the OK button to insert the table.
To resize a table, you need to click the necessary table border and drag it in the necessary direction.
To edit cell properties, right-click the necessary cell or select several cells and choose the Cell properties... option from the pop-up menu:
The Cell properties dialog is similar to cell properties dialog in any word processor:
The Vertical alignment menu has the following options:
  • •
    top;
  • •
    bottom;
  • •
    middle.
By using the Table menu you can access the standard operations with cells:
  • •
    add row above;
  • •
    add row below;
  • •
    add column to left;
  • •
    add column to right;
  • •
    delete row;
  • •
    delete column.


Inserting hyperlinks

A hyperlink (link) is a reference either to a specific element in the same document or external source (URL).
You may link any portion of text with an external URL or with another topic in your help file. Dr.Explain automatically tracks the broken link and alerts you in case of inconsistency.
To insert a hyperlink, select the text that you want to link to other content and click the [image] button or use Ctrl+K shortcut. The following dialog will be displayed:
To edit existing hyperlinks you need to click the necessary link (the same dialog is displayed) to make necessary changes.

Link text

1. Link text
Use this field to specify the text that should be displayed as a link.
Top

URL address

2. URL address
Select this option button to link the selected text to an external Internet address, e.g. http://www.drexplain.com.
Top

Internal link

3. Internal link
Select this option button if you want to link the selected text to an existing topic in the project tree.
Top

Amchor

Use this drop-down box to link the selected text to a specific control or an anchor within a page.
Top

Open link in new window

5. Open link in new window
Select this check box if you want the link to open in a new browser window.
Top

OK

6. OK Click this button to accept the changes and insert hyperlink.
Top

Cancel

7. Cancel Click this button to close the dialog.
Top

Remove link

8. Remove link Click this button to remove the link you clicked from the topic.
Top

Ping URL

9. Ping URL After you specified address in the URL field, click this button to verify that the link is valid.
Top

Select current topic

10. Select current topic Use this button to quickly select current topic in the project tree.
Top


Adding video

You may enrich text content of your help manual with a movie clip. You may embed video which is hosted on popular video services, such as YouTube, DailyMotion, Vimeo, etc.
To insert a video, put the cursor in a certain position in the editor and click the [image] button or use Ctrl+Shift+V shortcut. The following dialog will be displayed:
To edit an existing video simply double click on video box in the editor.

Insert video from service via URL

1. Insert video from service via URL
This option allows to insert video in your help manual via URL. The most popular video hosting services are supported: YouTube, Vimeo, and DailyMotion. Simply paste an URL into the edit box and a wait until the preview image gets loaded into the Preview section bellow.
Top

Video box dimensions

2. Video box dimensions
Use this drop-down list to select a predefined size for your video box or to specify custom dimensions.
Top

Insert video via embedding code

3. Insert video via embedding code
You can also insert video by pasting a snippet of embedding code provided by video service you use. Automatic parsing of this code isn't guaranteed in this case. Thus, preview image may be unavailable as well.
Top

Video preview

4. Video preview
Use the preview box to make sure if the video exists and it is the same one you want to embed. The preview is a static image. When exporting to PDF or Word formats this image will be displayed instead of the video. Clicking on the image will open a page with the video in the browser.
Top

Insert

5. Insert Press this button to actually insert a video into active help topic.
Top

Cancel

6. Cancel Press to close the dialog and to discard the changes.
Top


Check spelling

Built-in spell checker helps you to keep your text free of typos and errors. The spell checker highlights the misspellings and suggests replacements when you right-click them. Dr.Explain's spell checker has a set of pluggable dictionaries for the most popular national languages.
Check spelling is enabled by default in Dr.Explain. To disable/enable it, or configure the check spelling options click the [image] button.
To configure check spelling options, click the arrow button [image].


Inserting special objects

In this section, you will learn how to insert special objects into your topics and namely:
  • •
    variable;
  • •
    special variable;
  • •
    horizontal line;
  • •
    HTML snippet;
  • •
    anchors;
  • •
    page break and page title;
  • •
    control title (for annotated screenshots);
  • •
    table of contents.
To insert a special object, click the down arrow on this button [image]. The following pop-up menu will be displayed:
Just select the object you want to insert.

Inserting special objects

Inserting variables
Inserting special variables
Inserting horizontal line
Inserting HTML code
Inserting anchor
Inserting page break & page title


Inserting variables

A variable is a symbolic name given to certain data or information that allows this name to be used independently of the data it represents. Therefore, instead of using one and the same data or value repetitively, you can use a variable instead of it. The application will automatically insert or process the data/value it represents.
To insert a variable, click the [image] button or use Ctrl+Shift+R shortcut. Dr.Explain will display a list of pre-configured variables:
See the section Variables settings for more details and to know how to define new variables.


Inserting special variables

You can insert special variables only into headers and footers for PDF output (Options -> Project settings -> PDF export -> Setup).
To add a special variable to a header or footer, click the arrow button [image] next to the Variable button, select the Special variable menu and choose the corresponding option there:
The following special variables are pre-configured:
  • •
    page title;
  • •
    page topic;
  • •
    page status;
  • •
    help ID;
  • •
    alias;
  • •
    keywords;
  • •
    page number;
  • •
    total pages.
When you insert a special variable, Dr.Explain automatically obtains the values for the variable from the project settings and topic properties and inserts them in the specified location (into header and/or footer) when generating a PDF file.


Inserting horizontal line

You can insert a horizontal line into your topic by clicking the arrow button [image] next to the Variable button and selecting the Horizontal line... menu option or use Ctrl+Shift+H shortcut.
Dr.Explain displays the following dialog:
Inserting horizontal line

Width value measurement

1. Width value measurement
Specify the measurement for the line width here: either in % or pixels.
Top

Line width

2. Line width
Specify the line width here.
Top

Line height

3. Line height
Define line height here (in pixels).
Top

Line alignment

4. Line alignment
Here you can select the alignment.
Top

Clear

This parameter specifies where the next line should appear in a browser after the line break created by this element. This attribute takes into account floating objects (images, tables, etc.). Possible values:
  • •
    none: the line will be drawn normally (default value);
  • •
    left: the line will be drawn below any preceding float-left objects;
  • •
    right: the line will be drawn below any preceding float-right objects;
  • •
    both: the line will be drawn below any preceding float objects.
Top

Line color

6. Line color
You can change the color of the line by clicking the color and selecting the necessary one from the pop-up menu:
Click Custom to specify a custom color.
Top

OK button

7. OK button Click the OK button to accept the changes and insert a line.
Top

Cancel button

8. Cancel button Click the Cancel button to close the current dialog.
Top
If you plan to insert similar lines later on in your topics, you can just copy-paste them.


Inserting HTML code

You can insert an HTML snippet into your topic by clicking the arrow button [image] next to the Variable button and selecting the HTML... menu option or use Ctrl+Shift+S shortcut.
Dr.Explain displays the following dialog where you type or paste your html code:
After you have specified the necessary html code, click the OK button to insert an HTML snippet.
After you click OK, the following sign will appear in the Content Editor: . To edit the html code, double-click this sign.
If you plan to insert similar HTML snippets later on in your topics, you can just copy-paste them.
To delete HTML snippet, click it and press the Delete button or right-click it and select the Remove menu option from the pop-up menu.


Inserting anchor

An anchor object allows users to leapfrog to a specific point within a help topic. It saves them the need to scroll and skim read – and makes navigation easier.
You should place it just before the point on the page where you would like to create the shortcut to.
You can insert an anchor into your topic by clicking the arrow button [image] next to the Variable button and selecting the Anchor... menu option or use Ctrl+Shift+F5 shortcut.
Dr.Explain displays the following dialog:

Anchor name

1. Anchor name
Specify the anchor name here. You will use it when creating a link that points to this point of the topic.
Top

ОК button

2. ОК button Click the OK button to accept the changes and insert an anchor.
Top

Cancel button

3. Cancel button Press to close the dialog and to discard the changes.
Top
After you click OK, the following sign will appear in the Content Editor: . To edit the anchor, double-click this sign.
To delete anchor, click it and press the Delete button or right-click it and select the Remove menu option from the pop-up menu.


Inserting page break & page title

A page break is a mark that tells the document processor that the content after this mark is a part of a new page. This mark will only take effect when exporting to printable formats: PDF and RTF since there are no pages in HTML / CHM.
A page title is a name of a page/topic. Keep in mind that when you insert a page title and edit it, you will change its name in the TOC as well.
You can insert a page break or page title into your topic by clicking the arrow button [image] next to the Variable button and selecting the corresponding menu option or use Ctrl+Shift+B shortcut.


HTML, CHM, & PDF preview

Dr.Explain has four view modes: Content editor, HTML preview, CHM page preview, and PDF preview.
Using the corresponding buttons you can easily switch between Editing and Preview modes:
Content editor [image] is the pane where you add and edit the contents of your topic. This mode is used by default.
To see how the contents of topic will be displayed in an HTML page, click [image].
Use vertical main splitter to resize the preview area to change its width and to see the mobile layout version of the web help.
The web help layout is responsive and is optimized for small screens of mobile and tablet devices as well.
To preview your topic in CHM, click [image].
To preview your topic in PDF, click [image]. Note: only the current topic will be exported to a temporary PDF file, so the page numbers might not be shown correctly. Export entire project to PDF to view actual page numbers.
In HTML and CHM preview modes the floating buttons allow to customize the page structure and its elements: header, footer, sidebars, and navigation.
When you open a preview of a topic either in HTML or CHM, you can see the Print preview by clicking the corresponding link:


Working with graphics

Dr.Explain is exceptionally useful for authoring help files with many screenshots and technical illustrations.
The built-in screenshot capturing tool analyzes the internal structure of captured windows or web forms and automatically creates numbered annotations for all significant GUI elements: buttons, fields, options, menus, toolbars, and so on. All you have to do is add text descriptions for them to complete the window annotation.
A simple screenshot is just a plain snapshot of a window without any annotations or callouts, while an annotated screenshot allows you to customize the appearance of the screenshots, bullets, and labels.

Working with graphics

Inserting images
Capturing screenshots
Image editing
Managing control references
Annotation templates


Inserting images

In Dr.Explain, you can insert either a plain image or an annotated screenshot object into your content.
Note: only one annotated screenshot object per topic is allowed.
Both types of images can be either inserted from a file saved on your computer, or pasted from system clipboard, or captured like a screenshot of a live application.
Inserting images from files is useful when you don't have access to the application you are documenting. You can insert an image from the received screenshots and then add annotations manually. Or you can always use the built-in capturing tool to make a screenshot and insert it in your topic.
The following formats are supported by Dr.Explain:
  • •
    BMP
  • •
    JPG
  • •
    GIF
  • •
    PNG
  • •
    To insert an image into an existing topic, click the drop-down icon near [image] button in the editor toolbar. You will see the numerous options:
    With this menu to you can insert either a plain image or an annotated screenshot object. Also, you can use Ctrl+Shift+P shortcut to insert a plain image.
  • •
    If you want to add a new topic with an annotated screenshot object, use [image] button in the main toolbar. Press its drop-down icon to see its options.
Once you click the [image] button, the Add image dialog appears that allows you to insert a plain image either from a file or capture a new screenshot.
After you have inserted an image or captured a screenshot, you can edit its settings on the right side of the Image properties window.
Note: for plain images you can convert them into annotated screenshot objects. Use Annotate command in the image popup menu. If you already have an annotated screenshot in the topic, you won't be able to annotate another image.
After you have inserted an image, you can use standard commands like Cut/Copy/Paste if you need to copy and/or move it. You can also drag an image and place it into table cells.
You can resize the image either in the Image properties window or by dragging its border into the necessary direction.
To link your image to an internal object or external URL address, select the image and then click the [image] button. The Insert link dialog appears. Specify link properties and click the OK button to insert the link.

Inserting images

Inserting image from file


Inserting image from file

Once you click the [image] button the following dialog appears:
Inserting image from file
Use this dialog to browse for an image file or capture a new screenshot and define the image properties. To change the image properties, right-click the necessary image and select the Image properties menu option from the pop-up menu or double-click the required image to display this dialog.

Image source

1. Image source
Use this field to specify the type of the image: annotated screenshot, control image, control bullet, or a custom image. When you add a new image from a file, then Custom will be selected by default.
Top

Appearance

In this section, you can specify the image border width and its margin.
Top

Dimensions

Use this section to manage the image size, alignment, and proportions.
Use the Revert size button to reset image size to original or discard your changes.
Top

Image preview

4. Image preview
The preview shows a pre-rendered snapshot of the image to be inserted.
Top

Image management buttons

5. Image management buttons
Click the From file... button if you want to add an image from a file saved on your computer.
Click the Capture... button if you want to add a screenshot.
Top

Insert button

6. Insert button Click the Insert button to add an image.
Top

Cancel button

7. Cancel button Click the Cancel button to discard your changes and close this dialog.
Top


Capturing screenshots

You can either add a new topic with an annotated screenshot object or insert it into an existing topic.
Note: only one annotated screenshot object per topic is allowed.
  • •
    To add a new topic with an annotated screenshot, click the Capture window button [image] in the main toolbar or use the Ctrl+W keyboard shortcut.
Keep in mind that when you capture a new screenshot, Dr.Explain automatically adds it as a new topic to the TOC.
  • •
    To insert an annotated screenshot into an existing topic, click the drop-down icon near [image] button in the editor toolbar and select Capture and annotate command in the pull down menu.
Once you start capturing a new window, the following Capture an object dialog appears:
The capture areas are highlighted in orange, so you can clearly see what part of the screen you are capturing. Note: you can adjust the color of the highlight on the Screen capturing settings page.
To capture the necessary menu option in an application, click the menu or menu button to expand, and make sure it is highlighted and then capture your screen.
The Capture an object dialog is displayed on top of all applications by default, so that you can configure the required capturing options on-the-fly. If necessary, you can move the Capture an object dialog.

Capturing screenshots

Capturing scenarios


Capturing scenarios

A scenario is a set of predefined rules that define how to process various window controls or HTML tags.
There are four groups of rules, for every type of application:
  • •
    for Win32 window controls;
  • •
    for accessible objects;
  • •
    for HTML tags;
  • •
    for Java Swing controls.
Except Win32 controls, each group includes two sections:
  • •
    Filters that define the processing order for controls or tags and for their child elements.
  • •
    Naming rules that specify how to name controls depending on their properties.
Each scenario has pre-defined rules that define what objects must be recognized first:
  • •
    Java Swing controls
  • •
    HTML tags
  • •
    Accessible objects
  • •
    Win32 controls
Please see the section Capturing scenario settings for more details.


Image editing

Image editing is another feature of Dr.Explain that allows you to edit annotated screenshots by making changes to the captured image, callouts, and captions.
There are several ways to switch to image editing mode:
  • •
    right-click the necessary image and click the Edit menu option;
  • •
    double-click the necessary image;
  • •
    click the Pencil icon that appears below the image [image].
Note: for plain images you can convert them into annotated screenshot objects. Use Annotate command in the image popup menu.
When you enter the image editing mode, Dr.Explain displays the following window:
There are three tools in image editing mode:
  • •
    Annotation designer
  • •
    Control areas
  • •
    Screen editor
To exit image editing mode, click the [image] button or just click any other topic in TOC.

Image editing

Annotation designer
Control areas
Screen editor


Annotation designer

Designer is a special tool for editing screenshot annotations. Here, you can manage the screenshot's control references and numbered callouts. To display the designer, simply double-click the necessary screenshot image in the content editor .

Tools tabs

1. Tools tabs Tabs allow you to switch between different tools in designer window: designer, control areas management, and screenshot editing. The functionalities of all tools overlap though each one is focused on different aspects of control reference and screenshot management.
Top

Accept & close

2. Accept & close Use this button to accept changes and return to the main content editor .
Top

Designer toolbar

3. Designer toolbar
The designer toolbar provides access to key functions for managing control numbered references and screenshot snapshot.
Top

Designer workspace

4. Designer workspace You may rearrange and reposition numbered control callouts here by simply selecting and dragging them in WYSIWYG manner.
You can also adjust the size of control areas and screenshot image itself.
Hold Shift key while dragging bullet mark to snap bullet line to angles multiple of 15 degrees.
Top

Control properties

5. Control properties
This panel provides access to properties of the selected control. Its structure is very close to the structure of topic settings pane .
Top

Control description

6. Control description The control description editor allows you to edit the description of the selected control. The editor toolbar provides access to the editing functions. You may also edit control descriptions in the main content editor .
The short description for certain annotation templates is available upon double click on control bullet.
Top

Annotation designer

Annotation designer toolbar


Annotation designer toolbar

Designer toolbar allows you to operate with screenshots , control bullets , and to customize the designer workspace.
Annotation designer toolbar

Align

Use these buttons to align all the selected bullets in one click.
Top

Distribute

By using these buttons you can distribute the selected bullets evenly.
Top

Same size

3. Same size
Use these buttons to set equal sizes for all the selected control areas.
Top

Add control

4. Add control Click this button to add a new control reference manually.
Top

Hide

5. Hide Click this button to hide the control bullets without removing the controls from the project.
Top

Delete

6. Delete Click this button to remove the selected control references from the project.
Top

Annotation template options

7. Annotation template options Click this button to customize visual style of the screenshot, bullets, and labels. See section Annotation templates for more details.
Top

Replace screenshot

8. Replace screenshot Use this button to replace the screenshot image. For instance, it is useful when the window was updated in the new version of your software.
Top

Resize screenshot

9. Resize screenshot Use this button to resize the screenshot proportionally. You may also resize the screenshot in the editor by dragging its corner handles.
Top

Zoom

Use these buttons to zoom in/out.
Top

Control bounds

11. Control bounds Use this button to show/hide the rectangles indicating bounds of control's area.
Top


Control areas

Control areas tool is useful for manually managing those control areas that Dr.Explain highlighted automatically. To switch to the Control areas tool, click the Control areas tab in the Designer.

Zoom buttons

1. Zoom buttons Use these buttons to zoom in/out.
Top

Add control

2. Add control Click this button to add a new control reference manually.
Top

Show/Hide control

3. Show/Hide control Click this button to hide/show the control bullets without removing the controls from the project.
Top

Delete control

4. Delete control Click this button to remove the selected control references from the project.
Top

Control Dimensions

5. Control Dimensions
You can use these spin boxes to set the control area dimensions in pixels.
Top

Control area

6. Control area
Edit the control area by dragging the highlighted area borders.
Top

Control list

7. Control list
This list shows all controls available on the selected screenshot. Use it for switching between controls.
Top
All other features are the same as in the Designer.

Control areas

Control settings


Control settings

This section allows you to manage the control settings (such as title, description, number, visibility, etc.) and edit the control description.

Title field

1. Title field
Use this edit field to set the title for the selected item.
Top

Anchor/page name

2. Anchor/page name
Use this field to specify optional file name for topic or screenshot page or the anchor name of the control reference .
Top

Number

Use this spin box to change the order number of the control.
Top

Help ID and Alias properties

4. Help ID and Alias properties
Use these fields to specify the Help ID numeric code for the context sensitive help and the string alias for the corresponding Help ID numeric code.
Top

Text editor toolbar

5. Text editor toolbar
These buttons allow you to format the description text and insert objects: images, links, tables, lists, macro variables. They work in the same way in Text Editor .
Top

Description

Use this section to enter the element's description. Use formatting buttons to mark up your text, insert the link or to check the spelling.
Top


Screen editor

The Screen editor tool is a part of the Image editing mode. Here, you can specify the visible part of the screenshot (i.e. to crop the picture). This is extremely helpful when you want to crop a large image and display only a certain part of it. Drag the sides of the red frame to specify the visible part of the screenshot.
You may also add text labels to the screenshot. Text labels are independent objects that you can edit, move, and delete. For each label you can specify the border. This allows creation of ovals or rectangles over the particular parts of the image.

Text label toolbar

1. Text label toolbar
Use this toolbar add, show and delete text labels.
Top

Visible screenshot area

2. Visible screenshot area
Drag the sides of the orange frame to specify the visible part of the screenshot.
Top

Label text

3. Label text
Specify the text for the selected label.
Top

Label font

4. Label font
Use this drop-down box to specify the font type of the selected label.
Top

Label font size

5. Label font size
Specify the font size for the selected label.
Top

Label font color

6. Label font color
Specify the font color for the selected label.
Top

Label font style

7. Label font style
Specify the label text style here: bold, italic, or underlined.
Top

Label text alignment

8. Label text alignment
Specify label text alignment here: left, center, or right.
Top

Label shape settings

9. Label shape settings
This section allows you to customize the text label shape settings:
  • •
    label shape (box or rounded box);
  • •
    internal padding (in pixels);
  • •
    shape background color;
  • •
    shape frame color.
Top


Managing control references

Controls are functional elements of the captured window: buttons, edit fields, drop-down lists, check boxes, and so on. Dr.Explain automatically recognizes controls during screenshot capturing and creates annotated callouts for them. Generally, you can just add some text to control descriptions to complete the help topic for a captured application dialog or a window.
You may see a list of annotated numbered controls on a window screenshot page .
There are two control states: visible (active) and invisible (inactive). Visible controls are displayed in the screenshot picture in the form of numbered callouts and they are also listed in the main content of the topic.
Each control is assigned to a rectangular area in the screenshot. Dr.Explain uses control areas to create separate screenshots for controls. You can setup the control area by double clicking on the image.
You can rearrange the controls, update their properties and setup their visual settings in two ways: in the main Content editor or in the Designer mode .


Annotation templates

The dialog allows you to customize the appearance of the screenshots, bullets, and labels. Click the Annotation template options button in the Designer toolbar when working in Designer mode to customize the appearance of the selected window. You may also go to the Options -> Project Settings -> Screenshot Annotating menu option in the application menu to set the style for your project. It will be applied to all newly created window screenshot pages.

Actions

1. Actions Click this button to either apply the project's settings to the current screenshot or to import settings from another project.
Top

Annotation style list

2. Annotation style list
This section allows you to view the available annotation styles, add them to your project and edit them.
Top

Load template button

Click this button to load a template file from your computer.
Top

Add template button

Click this button to add a template to your project.
Top

Save template button

Click this button to save the edited template.
Top

Edit template button

Click this button to edit the selected template. See the Editing template section for more details.
Top

Shadow properties

7. Shadow properties
The panel allows you to customize the shadows for the screenshot.
Top

Window shadow

8. Window shadow
Select this check box if you want to captured screenshot images to have a shadow underneath them.
Top

Background options

9. Background options
Select the "Set transparent background for image" check box if you want to use a transparent background for screenshots. Otherwise the white color will be used as a background.
Top

OK button

10. OK button Click this button to accept the changes you have made and close the dialog.
Top

Cancel button

11. Cancel button Click this button to discard the changes and close the dialog.
Top

Help button

12. Help button Click this button to access applications help topics.
Top

Annotation templates

Annotation template editor


Annotation template editor

Annotation is an important part of the Screenshot editor . Almost all the screenshot snapshots you make have annotations in them. Here, you can edit or create an annotation template that will fit the needs of your product. You can change the form, color, text for callouts and bullet marks as well as edit their behavior.
After you finalize the annotation template, all annotations will be drawn and organized just like you have specified it in the template.
This window allows you to edit the settings of screenshot annotation. There are four main modes for editing the annotation template:
  • •
    Callout editing mode .
  • •
    Bullet mark editing mode .
  • •
    Behavior editing mode .
  • •
    Preview mode .
Each of them is covered later in the corresponding subsections.
Below you can find a description of the common annotation template editor settings:
Annotation template editor

Template name

1. Template name Click the template name to edit it.
Top

Load template button

2. Load template button Click this button to load a template to your project from your computer.
Top

Callout editing Mode

3. Callout editing Mode
Click this option to edit the Callout settings. See Callout editing mode for more details.
Top

Bullet mark editing mode

4. Bullet mark editing mode
Click this option to edit the Bullet mark settings. See Bullet mark editing mode for more details.
Top

Behavior editing mode

5. Behavior editing mode
Click this option to edit the Behavior settings. See Behavior editing mode for more details.
Top

Preview Mode

6. Preview Mode
Click this option to switch to the Preview mode. See Preview mode for more details.
Top

Save template button

7. Save template button Click this button to save the changes you have made for the current template.
Top

Undo button

8. Undo button Click this button to undo the most recent action or, alternatively, press the Ctrl+Z keyboard shortcut.
Top

Redo button

9. Redo button Click this button to redo the most recent action or, alternatively, press the Ctrl+Y keyboard shortcut.
Top

OK button

10. OK button Click this button to save the changes to the template and close the window.
Top

Cancel button

11. Cancel button Click this button to discard all changes and close the window.
Top

Annotation template editor

Callout editing mode
Bullet mark editing mode
Behavior editing mode
Preview mode


Callout editing mode

Use this dialog to configure settings for the callouts in your screenshot annotation template . You can change the form and color of the objects, shapes and connectors used in the callout. You may also edit the text used for the specific callout object. Read the options that you can configure below.
To display this window, go to Screenshot annotating , click the annotation template you'd like to edit and click the Callout mode.
Callout editing mode

Template objects list

1. Template objects list
This field lists all available objects for the selected callout.
Top

Object controls

Use buttons [image] [image] to move the object in the list either higher or lower.
Click [image] to remove the selected object from the callout.
Use button [image] to add shadow to the object or remove it.
Use button [image] to make the object clickable in the HTML / CHM output. Also, hovering mouse over the part of the call-out corresponding to the object with this icon in HTML / CHM output will bring pop-up tooltip (if that setting was enabled in HTML / CHM export settings ).
Top

Region editing mode

3. Region editing mode
Click this button to add or change the region settings. The following regions are available:
Top

Connector editing mode

4. Connector editing mode
Click this button to add or change connector settings. The following connectors are available:
Top

Shape settings

5. Shape settings
This section of the dialog displays the available options for editing shapes. It consists of the following sections:
  • •
    Filling options - allows you to configure the fill options such as fill style, its color, opacity level, etc.
  • •
    Border pattern - allows you to configure the border style and, if necessary, change its filling options.
  • •
    Dimensions - allows you to configure the shape dimensions.
  • •
    Advanced - allows you to configure the advanced shape options.
Top

Shape settings button

6. Shape settings button
Click this button to access the shape settings.
Top

Text settings button

7. Text settings button Click this button to access the Text options.
The following text options section will be displayed:
The text options window is split into two sub-sections:
  • •
    Text settings - allows you to configure the various font options and effects
  • •
    Padding - allows you to change the padding options
Top

OK button

8. OK button Click this button to save the changes you have made and close the window.
Top

Cancel button

9. Cancel button Click this button to discard the changes you have made and close the window.
Top


Bullet mark editing mode

Use this dialog to configure the settings for the bullet marks that appear in your annotation template. You can change the form and color of the objects, shapes and connectors used as the bullet marks. You may also edit the text used for the bullet mark. Read below for the options you might configure for bullet marks.
To display this window, go to Screenshot annotating , click the annotation template you'd like to edit and click the Bullet mark mode.
Bullet mark editing mode

Bullet editing mode button

1. Bullet editing mode button
Click this button to switch to Bullet mark editing mode.
Top

Object list

2. Object list
This field lists all the available objects for the selected callout.
The following controls are available for objects.
Use buttons [image] [image] to move the object in the list either higher or lower.
Click [image] to remove the selected object from the callout.
Use button [image] to add shadow to the object or remove it.
Top

Region editor

3. Region editor
Click this button to add or change the region settings. The following regions are available:
Top

Connector editor

4. Connector editor
Click this button to add or change the connector settings. The following connectors are available:
Top

Shape settings

5. Shape settings
This section of the dialog displays the available options for editing shapes. It consists of the following sections:
  • •
    Filling options - allows you to configure the fill options like fill style, its color, opacity level, etc.
  • •
    Border pattern - allows you to configure the border style and, if necessary, change its filling options.
  • •
    Dimensions - allows you to configure the shape dimensions.
  • •
    Advanced - allows you to configure the advanced shape options.
Top

Shape options button

6. Shape options button
Click this button to access the shape settings.
Top

Text options button

7. Text options button
Click this button to access the Text options.
The following text options are available:
The text options window is split into two sub-sections:
  • •
    Text settings - allows you to configure the various font options and effects.
  • •
    Padding - allows you to change the padding options.
Top

OK button

8. OK button Click this button to save the changes you have made and close the window.
Top

Cancel button

9. Cancel button Click this button to discard the changes you have made and close the window.
Top


Behavior editing mode

Use this dialog to configure the behavior of callouts and bullet marks in your annotation template. You can configure how connection points should be shifted and whether control titles should be flipped on a screenshot.
To display this window, go to Screenshot annotating , click the annotation template you'd like to edit and click the Behavior mode.
Select an object to specify its behavior depending on its position.
Behavior editing mode

Behavior editing mode button

1. Behavior editing mode button
Click this button to switch to Behavior editing mode.
Top

Shifting options for connection points

In this section, you can specify how connection points should be shifted in the annotation window. The following options are available:
  • •
    - No shift of connection points
  • •
    - Vertical shift of connection points
  • •
    - Horizontal shift of connections points
  • •
    - Bidirectional shift of connection points
  • •
    - Rotational shift of connection points.
Top

Orientation options

This section allows you to configure the orientation of callouts on your annotation window. The following options are available:
  • •
    - No flip
  • •
    - Flip orientation vertically
  • •
    - Flip orientation horizontally
  • •
    - Flip orientation bi-directionally
Top

OK button

4. OK button Click this button to save the changes you have made and close the window.
Top

Cancel button

5. Cancel button Click this button to discard the changes you have made and close the window.
Top


Preview mode

Use this window to preview the changes you have made previously to callouts, bullet marks and their behavior on the annotation template.
To display this window, go to Screenshot annotating , click the annotation template you'd like to edit and click the Preview mode.

Preview button

1. Preview button
Click this button to access the Preview mode.
Top

Preview window

This area shows a preview of the annotation template.
Top

OK button

3. OK button Click this button to save the changes you have made and close the window.
Top

Cancel button

4. Cancel button Click this button to discard the changes you have made and close the window.
Top


Project settings

Project settings allow you to configure the settings for the current project only.
There are three ways to open Project Settings dialog:
  • •
    click [image] on the application toolbar;
  • •
    use Ctrl+Alt+P shortcut;
  • •
    go to the Options menu and click the Project settings menu option.
In Project settings you can configure the following options:
You can also import settings from another project file with Options -> Import settings .
See the corresponding section for more details on a specific topic.

Project settings

Import project settings
Common settings
Screen capturing settings
Export settings
Text strings
Designer area settings
Content editor settings
Collaboration settings
Keywords


Import project settings

You can also import settings from another project file with Options -> Import settings. This is very handy if you wish to apply the settings from one project to another one. You can import either all settings or just certain ones.
Note: this action cannot be undone. So, please use this function carefully. You might want to make the backup copy of the project prior to performing this operation (e.g. save under different name).
Import project settings

Path to the project

1. Path to the project
Use this field to specify path to a project which settings are to be imported.
Top

Settings list

2. Settings list
Use this list to specify what settings are to be imported.
Top

Quick selection buttons

3. Quick selection buttons
Use these buttons to quickly select or unselect all options in the settings list.
Top

Import button

4. Import button Press the button to start importing.
Top

Close button

5. Close button Press this button to close the dialog and cancel importing.
Top


Common settings

In common settings you can configure how Dr.Explain generates new names to the new topics you create.

Generate a filename using relative numbering (like in previous versions)

1. Generate a filename using relative numbering (like in previous versions)
Select this option button if you want to generate file names using relative numbering (as in previous versions of Dr.Explain).
Top

Generate a filename by title

2. Generate a filename by title
Select this option button if you want to generate file names using their titles.
Top

Automatic numeration for topics

3. Automatic numeration for topics
Check this option to enable automatic numbering for the project topics. Use options bellow to customize the numbering format and style.
Top

Exclude topic numbers from content

4. Exclude topic numbers from content
Check this option to show topic numbers in the table of contents, topic lists, and search results only.
Top

Topic level

5. Topic level
Use the numbered buttons to select a topic level you want to customize.
Top

Type of numbering

6. Type of numbering
Use this drop-down to set the numbering type for a certain level of topics.
Top

Type of delimiter

7. Type of delimiter
Use this drop-down to set the delimiter type for a certain level of topics.
Top

Final delimiter

8. Final delimiter
Use this option to enable or disable the delimiter sign in the end of the number for current topic level.
Top

Previous level concatenation

9. Previous level concatenation
Uncheck this option if you want to exclude all parent level numberings from current level's number.
Top

Preview

The preview area displays numbering style of all levels at once. Currently selected level is colored with black. Also, you can click a level you want to customize.
Top

OK button

11. OK button Click this button to accept your changes and close the window.
Top

Cancel button

12. Cancel button Click this button to discard all the changes and close the window.
Top

Help button

13. Help button Click the button to open the help window.
Top

Actions

14. Actions Use this button to import settings from another project or to reset file names of all topics to automatically generated values.
Top


Screen capturing settings

In the Screen capturing settings you can configure the capturing process. To customize the capturing settings of the current project either:
  • •
    go to the Options menu and select the Project settings menu option;
  • •
    or click the [image] button in the application toolbar.
See also: Capturing screenshots section.
Screen capturing settings

Always on top

1. Always on top
Select this check box to display the Capture an object dialog on top of all applications.
Top

Hidden

Select this check box to hide the Capture an object dialog and show the icon in the system tray instead.
Top

Draw no bounds

3. Draw no bounds
Select this check box if you don't want the colored rectangle around the captured window to be shown when you point your cursor at it (the colored rectangle will not be present on the captured screenshots regardless of the state of this check box).
Top

Hide "Capture an object" dialog while capturing window

4. Hide "Capture an object" dialog while capturing window
Select this check box if you don't want the Capture an object dialog to be displayed when capturing snapshots.
Top

Use virtual pointer

5. Use virtual pointer
If this check box is selected, then you can press and hold the right Ctrl button to lock the cursor in certain position (e.g. over a certain button to activate its pop-up tooltip). Then, you can continue selecting windows/controls to be captured with another "virtual" cursor.
Top

Bullets placement

6. Bullets placement
Select appropriate option button to specify how to distribute the numbered callouts around the captured windows.
Top

Control area padding

7. Control area padding
Use this spin box to specify here how many extra pixels should be added around the actual control area.
Top

Capturing scenarios

8. Capturing scenarios
Use this section to create, edit and setup various capturing scenarios .
Top

Boundary colors

9. Boundary colors
Click the colored boxes to specify the frame color to be used for highlighting the screen areas when pointing the cursor at them.
Top

OK button

10. OK button Click this button to accept the changes and close the dialog.
Top

Cancel button

11. Cancel button Click this button to discard your changes and close the dialog.
Top

Help button

12. Help button Click this button to access the context help.
Top

Screen capturing settings

Scenario settings


Scenario settings

Capturing scenario is a set of predefined rules that define how to process various window controls or HTML tags.
There are four groups of rules, for every type of application:
  • •
    Win32 window controls.
  • •
    Accessible objects.
  • •
    HTML elements.
  • •
    Java Swing control.
Except Win32 controls, each group includes two sections:
  • •
    Filters define the processing order for the controls or tags and for their sub-elements.
  • •
    Naming rules specify how to name controls depending on their properties.
The main page of the Scenario Properties is accessible through Screen capturing settings . It allows you to set the main properties of the capturing scenario.

Scenario name

1. Scenario name
Specify the scenario name here. This name will help you distinguish different scenarios.
Top

Scenario description

2. Scenario description
Use this optional field to specify the scenario's custom description.
Top

Capture Swing (Java)

3. Capture Swing (Java)
Select this check box if you want to capture Java Swing controls.
Top

Capture HTML

4. Capture HTML
Select this check box if you want to capture HTML elements.
Top

Capture Accessible objects

5. Capture Accessible objects
Select this check box if you want to capture accessible objects in various applications.
Top

Capture Win32 windows

6. Capture Win32 windows
Select this check box if you want to capture Win32 window controls.
Top

Export scenario

7. Export scenario Click this button if you want to export your scenario as a file. After you export your scenario, you can share it with another member of your project team or keep it for backup purposes.
Top

OK button

8. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

9. Cancel button Click this button to discard your changes and close the dialog.
Top

Help button

10. Help button Click this button to display help.
Top

Scenario settings

Scenario properties: filters
Scenario properties: naming rules


Scenario properties: filters

The Filters define the processing order for controls or tags and their child elements depending on their name and properties.
The settings for filters for accessible objects, HTML elements and Java (Swing) are almost the same. Let's look at the options available for accessible objects filters, as they have more options:
Scenario properties: filters

Roles language

1. Roles language
Use this drop-down box to specify whether the object role should be interpreted as
  • •
    English strings.
  • •
    Localized system values. Note: these will depend on the currently selected display language in Windows.
  • •
    "ROLE_SYSTEM_xxx" values.
This option is used for Accessible objects only.
Top

Filter list

2. Filter list
The list displays the set of filters specified.
Top

Move up & down

3. Move up & down
Use these buttons to change the priority of the selected filter. You can also use Ctrl+Up and Ctrl+Down keyboard shortcuts.
Top

Filter managing buttons

4. Filter managing buttons
Use these buttons to create, edit or delete filters.
Top

OK

5. OK Click this button to accept your changes and close the dialog.
Top

Cancel

6. Cancel Click this button to discard your changes and close the dialog.
Top

Help

7. Help Click this button to display help.
Top

Scenario properties: filters

Editing Accessible objects filters
Editing HTML elements filters


Editing Accessible objects filters

Use this dialog to setup a control processing filter for accessible object, window, or Java (Swing) control.
Editing Accessible objects filters

Filter by name

1. Filter by name
Use this section to set a logical condition based on a control name comparison.
Top

Filter by role

2. Filter by role
Use this section to set a logical condition based on an object role comparison.
Top

Filter by state

3. Filter by state
Use this section to set a logical condition based on an object state.
Top

Highlighting

Select this check box if you want to highlight the control when the cursor is over it.
Top

Parse child objects

5. Parse child objects
Select this check box if you want to parse child objects as well.
Top

Name is case sensitive

6. Name is case sensitive
Clear this check box to ignore case in name string comparison.
Top

Roles language

7. Roles language
Select these check boxes to specify if an object role should be interpreted as a localized string (English by default).
Top

States

Specify the states that you want to filter the objects by selecting the check boxes next to them.
Top

Object parsing

9. Object parsing
Select this check box if you want to include this object in the project and select a type of inclusion:
  • •
    Add as visible control.
  • •
    Add as invisible control.
  • •
    Add as a separate screenshot page (sub-window).
Top

Final settings

10. Final settings
The icons display the filter action in a compact iconic style.
Top

OK

11. OK Click this button to accept your changes and close the dialog.
Top

Cancel

12. Cancel Click this button to discard your changes and close the dialog.
Top


Editing HTML elements filters

In this dialog, you can configure the control processing filters for HTML tags.
Editing HTML elements filters

Filter by tag name

1. Filter by tag name
Use this section to set logical a condition based on an HTML tag name comparison.
Top

Filter by class name

2. Filter by class name
Use this section to set a logical condition based on an HTML tag class attribute comparison.
Top

Filter by tag type

3. Filter by tag type
Use this section to set a logical condition based on an HTML tag type attribute comparison. Useful to distinguish different <input> tags.
Top

Highlighting

Select this check box to highlight the HTML element when the cursor is pointing at it.
Top

Parse child tags

5. Parse child tags
Select this check box to parse inner HTML tags as well.
Top

Scrolling

Select this check box to automatically scroll the HTML element area to capture it as a whole element.
Top

Case sensitive comparison

7. Case sensitive comparison
Clear these check boxes to ignore the case in a filter string comparison.
Top

HTML element parsing

8. HTML element parsing
Select this check box to include this HTML element into the project and select a type of inclusion:
  • •
    Add as visible control
  • •
    Add as invisible control
  • •
    Add as a separate screenshot page (sub-window).
Top

Final settings

9. Final settings
These icons display the filter action in compact iconic style.
Top

OK

10. OK Click this button to accept your changes and close the dialog.
Top

Cancel

11. Cancel Click this button to discard the changes and close the dialog.
Top


Scenario properties: naming rules

The Naming rules specify how to name the controls depending on their properties.
Scenario properties: naming rules

Roles language

1. Roles language
Use this drop-down box to specify if the object role should be interpreted as an English string or as a localized one.
This option is used for Accessible objects only.
Top

Rule list

2. Rule list
This list displays the set of naming rules specified.
Top

Up & Down

3. Up & Down
Use these buttons to change the priority of the selected naming rule. You can also use Ctrl+Up and Ctrl+Down keyboard shortcuts.
Top

Naming rule managing buttons

4. Naming rule managing buttons
Use these buttons to create, edit or delete naming rules.
Top

OK

5. OK Click this button to accept your changes.
Top

Cancel

6. Cancel Click this button to discard your changes and close the dialog.
Top

Help

7. Help Click this button to display the context help.
Top

Scenario properties: naming rules

Editing Accessible objects naming rule
Editing HTML element naming rule
Editing Win32 control naming rule


Editing Accessible objects naming rule

Use this dialog to set up a control naming rule for an Accessible object or a Java Swing control.
Editing Accessible objects naming rule

Filter by name

1. Filter by name
Use this section to set a logical condition based on a control name comparison.
Top

Filter by role

2. Filter by role
Use this section to set a logical condition based on an object role comparison.
Top

Filter by state

3. Filter by state
Use this section to set a logical condition based on an object state.
Top

Case sensitive comparison

4. Case sensitive comparison
Clear this check box to ignore the case in a name string comparison.
Top

Role language

5. Role language
Select this check box if you want to specify whether an object role should be interpreted as a localized one (English by default).
Top

Naming pattern

6. Naming pattern
Use this field to specify the naming pattern using predefined macros.
Top

Predefine control description

7. Predefine control description
Click this button to open the text editor for specifying the control description pattern:
Top

Save

8. Save Click this button to save your changes and close the dialog.
Top

Cancel

9. Cancel Click this button to discard the changes and close the dialog.
Top


Editing HTML element naming rule

In this section, you can set up a control naming rule for HTML tag.
Editing HTML element naming rule

Filter by tag name

1. Filter by tag name
Use this section to set a logical condition based on an HTML tag name comparison.
Top

Filter by class name

2. Filter by class name
Use this section to set a logical condition based on an HTML tag class attribute comparison.
Top

Filter by tag type

3. Filter by tag type
Use this section to set a logical condition based on an HTML tag type attribute comparison.
Top

Naming pattern

4. Naming pattern
Use this section to specify the naming pattern using predefined macros.
Top

Predefine description

5. Predefine description
Click this button to open the text editor for specifying the HTML element description pattern:
Top

Save

6. Save Click this button to save your changes and close the dialog.
Top

Cancel

7. Cancel Click this button to discard the changes and close the dialog.
Top


Editing Win32 control naming rule

Use this dialog to setup a control naming rule for Win32 window control.
Editing Win32 control naming rule

Filter by name

1. Filter by name
Use this section to set a logical condition based on a control name comparison.
Top

Filter by caption

2. Filter by caption
Use this section to set a logical condition based on a caption comparison.
Top

Filter by window style

3. Filter by window style
Use this section to set a logical condition based on Win32 control's window style.
Top

Filter by extended window style

4. Filter by extended window style
Use this section to set a logical condition based on Win32 control's extended window style.
Top

Naming pattern

5. Naming pattern
Use this field to specify the naming pattern using predefined macros.
Top

Predefine control description

6. Predefine control description
Click this button to open the text editor for specifying the control description pattern:
Top

Case sensitive comparison

7. Case sensitive comparison
Clear these check boxes to ignore the case in a name string comparison.
Top

Save

8. Save Click this button to accept your changes and close the dialog.
Top

Cancel

9. Cancel Click this button to discard the changes and close the dialog.
Top


Export settings

Dr.Explain's file format is .GUI. Therefore, the final step in creating end-user documentation is to export your project to the required file format.
Dr.Explain allows you to generate a set of HTML files that you can plug into your website or a single CHM file that you can ship with your software. It is also capable of exporting your project into RTF (Microsoft Word format) or PDF documents.

Export settings

HTML export settings
PDF export settings
CHM export settings
RTF export settings


HTML export settings

In this dialog you can configure the appearance for the generated HTML pages. To access the HTML export settings you can either:
  • •
    go to the Options menu and select the Project settings menu option
  • •
    click the [image] button in the application toolbar.
See also: Publishing HTML help, Publishing CHM file, CHM export settings.
HTML export settings

File extension

1. File extension
Use this drop-down list to specify the extension for the output files:
  • •
    asp;
  • •
    aspx;
  • •
    htm;
  • •
    html;
  • •
    shtml;
  • •
    phtml;
  • •
    phtm;
  • •
    php;
  • •
    pl;
  • •
    py.
    ... or use your own extension.
Top

Image subfolder

2. Image subfolder
Specify in this field the subfolder where the image files are located.
Example: if your HTML files will be placed in /help/ folder and you want to keep all image files in /help/img folder then specify img in this field.
Top

Color theme

3. Color theme
Select this option button and choose a predefined color theme for the output HTML files. You may also create your own color themes by using the buttons next to the theme list.
Top

Additional CSS

Select this option button to specify you own CSS code to override CSS generated by Dr.Explain. You can customize the appearance of HTML pages: fonts, colors, sizes, etc. After you choose an existing color theme, Dr.Explain opens built-in CSS editor:
Top

Page structure

5. Page structure
In this section, you can configure the structure of the page. Turn on/off the menu, the keyword index tab and activate the full text search function.
If you select check box Always keep header and footer viewable it means that the height of the online manual will be automatically adjusted to fit to the height of the browser window. The header, footer and sidebars will be docked to the browser edges while the central content part will remain scrollable. This resembles the behavior of a CHM file.
Select check box Pop-up tooltips over clickable areas to enable pop-up tooltips that will be displayed when the cursor points at the bullet on the screenshot picture. The tooltips may include the associated control description, so that the user doesn't have to scroll down the page to read it.
Note: the Print version option is available for HTML export only.
Top

Actions button

6. Actions button Click this button to import settings from another project file or from CHM export settings.
Top

OK button

7. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

8. Cancel button Click this button to discard the changes and close the dialog.
Top

Help button

9. Help button Click this button to display help.
Top

HTML export settings

Editing theme colors
HTML page structure
Sitemap options
Comments and social networks
HTML files uploading


Editing theme colors

In this dialog you can change the settings of the selected color theme used for HTML export.
To edit the theme colors, click the [image] button on the HTML export settings page. The following dialog appears:
Editing theme colors

Preview

Use this area to instantly preview the overall design and style of elements. The preview is made on Internet Explorer web browser.
Resize the window to change the width of the preview area to see the mobile layout version of the web help.
Top

Colors

Click the color boxes to change the color of visual elements.
Top

Open in browser

3. Open in browser Click this button to preview your custom design in your default web browser.
Top

OK button

4. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

5. Cancel button Click this button to discard the changes and close the dialog.
Top


HTML page structure

This section allows you to configure the structure of your HTML online manual or CHM file.
To customize the page options for the current project either:
  • •
    go the Options menu and select the Project settings menu option;
  • •
    or click the [image] button in the application toolbar;
  • •
    or click a floating button in the HTML/CHM preview.
Then proceed to Page structure section.
Dr.Explain displays the following dialog:
HTML page structure

Code standard

1. Code standard
Use this drop-down list to specify the code standard for the HTML output:
  • •
    HTML5
  • •
    XHTML 1.0 Strict
Top

Viewable header & footer

2. Viewable header & footer
If you select this check box the height of the online manual will be automatically adjusted to fit to the height of the browser window. The header, footer and sidebars will be docked to the browser edges while the central content part will remain scrollable. This resembles the behavior of a CHM file.
Top

RTL layout support

3. RTL layout support
Check the option to enable right-to-left layout of HTML output. If enabled, menu, index and search tabs will be displayed on the right.
Top

Help content settings

4. Help content settings
Use this field to set the dimensions of the help content main (central) section.
Note: the main content width setting is available for HTML export only.
Top

Navigation bar settings

5. Navigation bar settings
In this section, you can configure the structure and dimension of the left navigation sidebar. Turn on/off the menu, the keyword index tab and activate the full text search function.
Note: the menu width and type options are available for HTML export only. Using of "Folding menu" options requires Advanced or Ultima license. See license comparison.
Note: index tab will consist of keywords.
Top

Navigation settings

6. Navigation settings
Use these options to specify which navigation elements must be inserted into the content of your topics.
Note: the Print version option is available for HTML export only.
Top

OK button

7. OK button Click this button to accept changes and close the dialog.
Top

Cancel button

8. Cancel button Click this button to discard changes and close the dialog.
Top

Help button

9. Help button Click this button to show context help.
Top

Actions button

10. Actions button Use this button to either import the settings from an external file or to save all the settings to an external file.
Top

HTML page structure

HTML page header
HTML page footer
HTML page left sidebar
HTML page right sidebar
HTML page advanced sections


HTML page header

This section allows you to configure the header of your HTML online manual or CHM file pages. A header is a part of the page shown above the main content area. Usually the project logo, title, banners and main menu elements are shown in the header of the page.
To customize the header for the current project either:
  • •
    go the Options menu and select the Project settings menu option;
  • •
    or click the [image] button in the application toolbar;
  • •
    or click a floating button in the HTML/CHM preview.
Then proceed to Header structure section.
Dr.Explain displays the following dialog:
HTML page header

Visibility

Use this option to include/exclude header section into your help page layout.
Top

Content type selector

2. Content type selector
Use this selector to switch the editor into Code or WYSIWYG mode.
In Code mode you can insert your own HTML or other code that will render the header of the page. The provided code will be inserted into the output page file as-is, without modifications:
Top

Editor

Use the editor to customize the content of the page header.
Top

Color theme

4. Color theme
Use this selector to choose a predefined color theme for the output HTML files. You may also create your own color themes by using the button next to the theme list.
Top

OK button

5. OK button Click this button to accept changes and close the dialog.
Top

Cancel button

6. Cancel button Click this button to discard changes and close the dialog.
Top

Help button

7. Help button Click this button to show context help.
Top


HTML page footer

This section allows you to configure the footer of your HTML online manual or CHM file pages. A footer is a part of the page shown bellow the main content area. Usually the copyright, credits, counters and secondary menu elements are shown in the footer of the page.
To customize the footer for the current project either:
  • •
    go the Options menu and select the Project settings menu option;
  • •
    or click the [image] button in the application toolbar;
  • •
    or click a floating button in the HTML/CHM preview.
Then proceed to Footer structure section.
Dr.Explain displays the following dialog:
HTML page footer

Visibility

Use this option to include/exclude footer section into your help page layout.
Top

Content type selector

2. Content type selector
Use this selector to switch the editor into Code or WYSIWYG mode.
In Code mode you can insert your own HTML or other code that will render the footer of the page. The provided code will be inserted into the output page file as-is, without modifications.
Top

Editor

Use the editor to customize the content of the page footer.
Top

Color theme

4. Color theme
Use this selector to choose a predefined color theme for the output HTML files. You may also create your own color themes by using the button next to the theme list.
Top

OK button

5. OK button Click this button to accept changes and close the dialog.
Top

Cancel button

6. Cancel button Click this button to discard changes and close the dialog.
Top

Help button

7. Help button Click this button to show context help.
Top


HTML page left sidebar

This section allows you to configure the left sidebar of your HTML online manual or CHM file pages.
To customize the left sidebar for the current project either:
  • •
    go the Options menu and select the Project settings menu option;
  • •
    or click the [image] button in the application toolbar;
  • •
    or click a floating button in the HTML/CHM preview.
Then proceed to Left sidebar structure section.
Dr.Explain displays the following dialog:
HTML page left sidebar

Visibility

Use this option to include/exclude sidebar section into your help page layout.
Top

Width

Use this field to set the width of the sidebar.
Top

Content type selector

3. Content type selector
Use this selector to switch the editor into Code or WYSIWYG mode.
In Code mode you can insert your own HTML or other code that will render the sidebar of the page. The provided code will be inserted into the output page file as-is, without modifications.
Top

Editor

Use the editor to customize the content of the page sidebar.
Top

OK button

5. OK button Click this button to accept changes and close the dialog.
Top

Cancel button

6. Cancel button Click this button to discard changes and close the dialog.
Top

Help button

7. Help button Click this button to show context help.
Top


HTML page right sidebar

This section allows you to configure the right sidebar of your HTML online manual or CHM file pages.
To customize the right sidebar for the current project either:
  • •
    go the Options menu and select the Project settings menu option;
  • •
    or click the [image] button in the application toolbar;
  • •
    or click a floating button in the HTML/CHM preview.
Then proceed to Right sidebar structure section.
Dr.Explain displays the following dialog:
HTML page right sidebar

Visibility

Use this option to include/exclude sidebar section into your help page layout.
Top

Width

Use this field to set the width of the sidebar.
Top

Content type selector

3. Content type selector
Use this selector to switch the editor into Code or WYSIWYG mode.
In Code mode you can insert your own HTML or other code that will render the sidebar of the page. The provided code will be inserted into the output page file as-is, without modifications.
Top

Editor

Use the editor to customize the content of the page sidebar.
Top

OK button

5. OK button Click this button to accept changes and close the dialog.
Top

Cancel button

6. Cancel button Click this button to discard changes and close the dialog.
Top

Help button

7. Help button Click this button to show context help.
Top


HTML page advanced sections

This section allows you to configure the additional code sections of your HTML online manual or CHM file pages.
The additional code can be inserted
  • •
    before <HTML> tag
  • •
    before </HEAD> tag
  • •
    after </HTML> tag
To customize the additional code sections for the current project either:
  • •
    go the Options menu and select the Project settings menu option;
  • •
    or click the [image] button in the application toolbar;
  • •
    or click a floating button in the HTML/CHM preview.
Then proceed to Advanced structure section.
Dr.Explain displays the following dialog:
HTML page advanced sections

Visibility

Use this option to enable/disable additional code sections in your help page layout.
Top

Content type selector

2. Content type selector
Use these selectors and buttons to insert special variable into the content of a certain code section.
Top

Editor

Use the editors to provide code for a certain additional section.
Top

OK button

4. OK button Click this button to accept changes and close the dialog.
Top

Cancel button

5. Cancel button Click this button to discard changes and close the dialog.
Top

Help button

6. Help button Click this button to show context help.
Top


Sitemap options

In this dialog, you can create a Google sitemap file for your HTML help pages.
To customize the sitemap creating settings for the current project either:
  • •
    go the Options menu and select the Project settings menu option;
  • •
    or click the [image] button in the application toolbar.
Dr.Explain displays the following dialog:

Base URL

1. Base URL
Enter the base URL for your sitemap here.
Top

Sitemap protocol

2. Sitemap protocol
Use these option buttons to choose which sitemap protocol/format should be used for your sitemap file.
Top

Extra tags

3. Extra tags
Specify here as to which extra tags must be added to the sitemap XML file by selecting the corresponding check boxes next to them.
Top

Compression

Select this check box to compress your output XML file with a GZIP compression algorithm.
Top

Sitemap file creation during HTML export

5. Sitemap file creation during HTML export
Here, you may specify whether the sitemap file must be created each time you export your project in HTML format. Here you can also specify the name of the folder for the sitemap file.
Top

Additional sitemap list

6. Additional sitemap list
If you have several sitemaps for different parts of your website then use this list to add them. Dr.Explain will generate the sitemap index file with links to all the sitemaps specified in the list.
Top

Make sitemap button

7. Make sitemap button Click this button to generate a sitemap file.
Top

Make index button

8. Make index button Click this button to generate a sitemap index file.
Top

Add / Remove sitemap button

9. Add / Remove sitemap button Use these buttons to add external sitemap files to the index table and/or to remove the existing entities.
Top

OK button

10. OK button Click this button to accept changes and close the dialog.
Top

Cancel button

11. Cancel button Click this button to discard changes and close the dialog.
Top

Help button

12. Help button Click this button to show context help.
Top

Import button

13. Import button Use this button to import settings from another project file.
Top


Comments and social networks

In this dialog, you can enable user comments and social networks sharing for your online help manual. This will allow users to add their own content to your online documentation and to share links to your help pages with other people via social networks and social services.
To customize the comments and sharing settings for the current project either:
  • •
    go the Options menu and select the Project settings menu option;
  • •
    or click the [image] button in the application toolbar.
Dr.Explain displays the following dialog:
Comments and social networks

Online help base URL

1. Online help base URL
Please specify here full base URL of online manual folder on your website. This URL will be used for composing of pages URLs. Wrong URL may cause problems with sharing and commenting functionality.
Top

Enable Facebook comments

2. Enable Facebook comments
Check this option to enable Facebook comments in your online help.
Top

Facebook comments box width

3. Facebook comments box width
Use this field to specify width of the box with Facebook comments.
Top

Number of initial Facebook comments

4. Number of initial Facebook comments
Set here the number of Facebook comments to show initially when page is loaded. Users can expand hidden comments themselves later.
Top

Color of Facebook comments box

5. Color of Facebook comments box
Use this field to specify color scheme of the box with Facebook comments. Usually it may be Dark or Light.
Top

Facebook ID type for moderation purposes

6. Facebook ID type for moderation purposes
If you wish to moderate comments and receive notification about new comments in your Facebook account then you must provide either your Facebook User ID or Facebook Application ID.
Top

Facebook ID for moderation purposes

7. Facebook ID for moderation purposes
Enter your Facebook ID here. The value depends on ID type you've set in the previous field.
Top

Enable Disqus comments

8. Enable Disqus comments
Check this option to enable Disqus comments in your online help.
Top

Disqus ID

9. Disqus ID
Provide your website Disqus code here. If you haven't one then you may receive it for free at http://disqus.com/for-websites/
Top

Position of social networks sharing panel

10. Position of social networks sharing panel
Specify if the panel with social networks sharing buttons must be shown bellow or above the main content.
Top

Social networks

11. Social networks
Select social networks you wish to integrate with your online help manual. The buttons of selected services will be shown on sharing panel in your online help manual.
Top

URL of custom image for sharing

12. URL of custom image for sharing
Specify URL of a custom image to display on social networks when someone shares your content. If the URL is empty then an image will be chosen automatically. Usually it's the most important image on the shared page.
Top

OK button

13. OK button Click this button to accept changes and close the dialog.
Top

Cancel button

14. Cancel button Click this button to discard changes and close the dialog.
Top

Help button

15. Help button Click this button to show context help.
Top

Import settings

16. Import settings Use this button to import settings from another project file.
Top


HTML files uploading

In this dialog, you can enable automatic uploading of output HTML files onto a web server via FTP or onto your Tiwri site . With this function your online manual gets immediately available for your customers once the export completed.
To customize the uploading settings for the current project either:
  • •
    go the Options menu and select the Project settings menu option;
  • •
    or click the [image] button in the application toolbar.
Dr.Explain displays the following dialog:
HTML files uploading

Publish files via FTP

1. Publish files via FTP
Check this option to automatically upload output files onto a web server via FTP.
Top

FTP server

2. FTP server
Use this field to set your FTP server host name or IP address.
Top

FTP port

3. FTP port
Use this field to set your FTP server port number. Default FTP port is 21.
Top

FTP folder

4. FTP folder
Use this field to set relative path to specific folder on your FTP server.
Top

FTP credentials

5. FTP credentials Use this button to provide your FTP credentials: FTP user name and password. If the credentials are not provided then you'll be asked for username and password each time HTML export and publishing is performed.
Top

Publish on tiwri.com

6. Publish on tiwri.com
Use this checkbox to enable automatic publishing on your Tiwri site. Tiwri site is a site on The technical writing platform Tiwri.com which is setup specially for publishing online manuals from Dr.Explain.
To publish your documentation online on tiwri.com, you don’t need to deal with web hosting settings, write webpage code, or configure FTP access.
Your online documentation will have the unique address <something>.tiwri.com. If you want the documentation to be part of your website, you can use your domain name (for example, help.<your_domain>) instead.
Top

Tiwri site credentials

7. Tiwri site credentials
Use these fields to specify name of your Tiwri site (it usually looks like <yoursitename>.tiwri.com) and password for publishing that you can change in your Tiwri account.
Top

Browse Tiwri site files

8. Browse Tiwri site files Click this button to view files and folders in your Tiwri site.
Top

Open Tiwri site in web browser

9. Open Tiwri site in web browser Click this button to open your Tiwri site in default web browser.
Top

Create Tiwri site

10. Create Tiwri site Click this button to open your Tiwri account in web browser or to create a new one if required.
Top

OK button

11. OK button Click this button to accept changes and close the dialog.
Top

Cancel button

12. Cancel button Click this button to discard changes and close the dialog.
Top

Help button

13. Help button Click this button to show context help.
Top

Import settings

14. Import settings Use this button to import settings from another project file.
Top


PDF export settings

In this dialog, you can configure the appearance of the output PDF file.
To customize the PDF settings for the current project you can either:
  • •
    go to the Options menu and select the Project settings menu option;
  • •
    or click the [image] button in the application toolbar.
See also: Publishing PDF file.
Dr.Explain displays the following dialog:
PDF export settings

PDF document metadata

1. PDF document metadata
Use these fields to enter the PDF file metadata, such as Title, Subject, Author, and Keywords. This data will be shown in the PDF file properties. It won't affect the document layout or visible content.
Top

Page dimensions

2. Page dimensions
Use this section to specify dimensions for PDF pages. You may either select a predefined standard dimension from the predefined list or specify your own custom dimensions.
Top

Topic bookmarks

3. Topic bookmarks
Create a bookmark tree consisting of all topics of the PDF file.
Top

Keep control description within page

4. Keep control description within page
Select this check box if you want to keep a control description within a page in the PDF file. If a control description is too large to fit entirely on the page where previous control's description is already present, it will start from the new page.
Top

Topics vs pages

5. Topics vs pages
Use this option to specify if each topic must be started on a new page. If you clear this option, the next topic will start right after the previous one, on the same page. You can insert page breaks manually in the text editor for topics you want to start from the new page.
Top

OK button

6. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

7. Cancel button Click this button to discard the changes and close the dialog.
Top

Help button

8. Help button Click this button to show the context help.
Top

Import button

9. Import button Click this button to import settings from another project.
Top

PDF export settings

PDF page settings
PDF header settings
PDF footer settings


PDF page settings

This section allows you to configure the dimensions of the PDF page.
To customize the PDF page dimensions for the current project either:
  • •
    go the Options menu and select the Project settings menu option;
  • •
    or click the [image] button in the application toolbar.
Then proceed to PDF Export / PDF page settings section.
Dr.Explain displays the following dialog:
PDF page settings

Units

Use this spin box to set measurement units for values shown in this dialog:
  • •
    inches;
  • •
    mm;
  • •
    pt.
Top

Margins

Use this section to configure the page margins for the PDF file.
Top

Header and footer height

3. Header and footer height
Use this section to set the header and footer height and margins for the PDF file.
Top

OK button

4. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

5. Cancel button Click this button to discard the changes and close the dialog.
Top

Help button

6. Help button Click this button to show the context help.
Top


PDF header settings

This section allows you to configure the header of the PDF pages.
To customize the PDF page header for the current project either:
  • •
    go the Options menu and select the Project settings menu option;
  • •
    or click the [image] button in the application toolbar.
Then proceed to PDF Export / PDF page settings / Header section.
Dr.Explain displays the following dialog:
PDF header settings

Distinct layout for odd and even pages

1. Distinct layout for odd and even pages
Select this check box if you want to configure a different layout for odd and even pages.
Top

Odd page header

2. Odd page header
Use this section to customize the header for odd (1,3,5,etc.) pages of the generated PDF file.
Top

Even page header

3. Even page header
Use this section to customize the header for even (2,4,6,etc.) pages of the generated PDF file.
Top

OK button

4. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

5. Cancel button Click this button to discard the changes and close the dialog.
Top

Help button

6. Help button Click this button to show the context help.
Top


PDF footer settings

This section allows you to configure the footer of the PDF pages.
To customize the PDF page footer for the current project either:
  • •
    go the Options menu and select the Project settings menu option;
  • •
    or click the [image] button in the application toolbar.
Then proceed to PDF Export / PDF page settings / Header section.
Dr.Explain displays the following dialog:
PDF footer settings

Distinct layout for odd and even pages

1. Distinct layout for odd and even pages
Select this check box if you want to configure a different layout for odd and even pages.
Top

Odd page footer

2. Odd page footer
Use this section to customize the footer for odd (1,3,5,etc.) pages of the generated PDF file.
Top

Even page footer

3. Even page footer
Use this section to customize the footer for even (2,4,6,etc.) pages of the generated PDF file.
Top

OK button

4. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

5. Cancel button Click this button to discard the changes and close the dialog.
Top

Help button

6. Help button Click this button to show the context help.
Top


CHM export settings

In CHM export settings you can configure the options for the CHM file that you want to generate from your project. CHM export settings do not differ much from those in HTML export settings.
There are several ways to configure the CHM export options for your project:
  • •
    click the [image] button to display the project settings and then click CHM export in the appeared dialog;
  • •
    go to the Options menu and select Project settings menu option.
The CHM export settings dialog looks like this:
CHM export settings

Language

Use this drop-down list to set the language for the CHM output file.
Top

Default topic

2. Default topic
In this field you can set the default topic that will be displayed when the user opens the CHM file. Click the Browse button to select the topic from the existing TOC.
Top

Image subfolder

3. Image subfolder
Use this field to specify the subfolder for image files.
Example: If your HTML files will be placed in /help/ folder and you want to keep all image files in /help/img folder then specify img in this field.
Top

Work folder

4. Work folder
Use this field to specify the folder that Dr.Explain must use as a temporary location for intermediate HTML and picture files.
Top

Keep temporary files

5. Keep temporary files
Select this check box if you want to keep temporary files in work folder after CHM compilation.
Top

Color theme

6. Color theme
Choose a pre-defined visual theme from this drop-down list that you want to apply for the output CHM file.
To create your own theme colors, click the [image] button next to the selected color theme.
Top

Custom CSS

7. Custom CSS
You can apply custom CSS code to your page design by editing its appearance based on the selected existing color theme and changing fonts, colors, sizes, etc.
Top

Page structure

8. Page structure
In this section, you can configure the structure of the page. Turn on/off the contents tab, the keyword index tab and activate the full text search function.
If you select check box Always keep header and footer viewable it means that the height of the online manual will be automatically adjusted to fit to the height of the browser window. The header, footer and sidebars will be docked to the browser edges while the central content part will remain scrollable.
Select check box Pop-up tooltips over clickable areas to enable pop-up tooltips that will be displayed when the cursor points at the bullet on the screenshot picture. The tooltips may include the associated control description, so that the user doesn't have to scroll down the page to read it.
Top

CHM window settings

9. CHM window settings
Use this section to configure settings for CHM windows:
  • •
    select the Topmost window check box to make the CHM file display on top of all windows;
  • •
    click the Customize button to edit the default size and position for the generated CHM file:
Top

OK button

10. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

11. Cancel button Click this button to discard the changes and close the dialog.
Top

Help

12. Help Click this button to display the context help.
Top

Actions

13. Actions Click this button to import settings from another project file or from HTML export settings.
Top

CHM export settings

Help ID management
CHM compiler settings


Help ID management

In this dialog you can configure the context sensitive help options for your CHM files.
There are several ways to configure Help ID management options for your project:
  • •
    click the [image] button to display the project settings and then click Help ID management in the appeared dialog;
  • •
    go to the Options menu and select Project settings menu option.
Help ID management

Help ID in CHM

1. Help ID in CHM
Select this check box if you want to embed Help ID support into CHM file.
Top

Map file creation

2. Map file creation
Select this check box if you want to create an external map file in the same directory with the CHM file.
The content of map file depends on its extension:
  • •
    .h - C++ code will be generated;
  • •
    .cs - C# code will be generated;
  • •
    .vb - VB code will be generated;
  • •
    .inc - Object Pascal (Delphi) code will be generated.
Then, add this file to your project.
Top

Make prefix option

3. Make prefix option
Use this edit field to specify the prefix string for auto-generated aliases.
Top

Character case transformation

4. Character case transformation
Use this drop-down list to define how Dr.Explain must handle the case of the strings used in composed alias names.
Top

Topic alias template

5. Topic alias template
Use this drop-down list to select a template that Dr.Explain must use for auto-generating a page's alias.
Top

Control alias template

6. Control alias template
Use this drop-down list to select a template that Dr.Explain must use for auto-generating a control's alias.
Top

Hex mode

7. Hex mode
Select this check box if you want to display and edit Help ID values in hexadecimal mode.
Top

OK button

8. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

9. Cancel button Click this button to discard the changes and close the dialog.
Top

Help button

10. Help button Click this button to display the context help.
Top

Import settings button

11. Import settings button Click this button to import settings from another project file.
Top


CHM compiler settings

In this section, you can configure additional CHM compiler options.
CHM compiler settings

Compatibility drop-down list

1. Compatibility drop-down list
Use this drop-down list to select the compatibility level for the generated CHM files. Possible values are:
  • •
    1.0;
  • •
    1.1 or later (default).
Top

Support enhanced decompilation

2. Support enhanced decompilation
Select this check box if you want the generated CHM file to support enhanced decompilation.
Top

FTS stop list file name

3. FTS stop list file name
The field displays the name of the full text search stop list file name.
A stop list decreases the size of full-text search index, which results in a smaller compiled help (.CHM) file because fewer words are indexed. It is important if you have large documentation set. All words in the stop list are omitted from the search. These are usually commonly occurring words or numbers, such as "the", "and", or "1" that the user is unlikely to search for.
Click this button [image] to browse for the full text search stop list file.
Top

Microsoft HTML Help Workshop

4. Microsoft HTML Help Workshop
Use this field to specify the path where the Microsoft HTML Help Workshop is installed on your computer.
Top

OK button

5. OK button Click this button to save your changes and close the window.
Top

Cancel button

6. Cancel button Click this button to discard the changes and close the window.
Top

Help button

7. Help button Click the button to open the help window.
Top


RTF export settings

In the RTF export settings dialog you can configure the appearance of the output RTF file. There are several ways to access the RTF export options:
  • •
    click [image] button to display project settings and then click RTF export in the appeared dialog;
  • •
    go to the Options menu and select the Project settings menu option.
Dr.Explain displays the following window:
RTF export settings

Page header

1. Page header
Use this field to specify the text to be used as the header of each page, e.g. title of the document.
Top

Page footer

2. Page footer
Use this field to specify the text to be used as the footer of each page, e.g. copyright notices.
Top

Scale images to fit page width

3. Scale images to fit page width
Select this check box if you want to automatically resize images during project export so that they fit the specified width.
Top

Default font

4. Default font
Use this field to set the default text font.
Top

OK button

5. OK button Click this button to save the changes and close the dialog.
Top

Cancel button

6. Cancel button Click this button to discard the changes and close the dialog.
Top

Help button

7. Help button Click this button to show context help.
Top

Import settings button

8. Import settings button Click this button to import settings from another project file.
Top


Text strings

Use this dialog to customize the predefined text strings that will be inserted into the output documents. There are several ways to access the Text strings options:
  • •
    click the [image] button to display the project settings and then click Text strings in the appeared dialog;
  • •
    go to the Options menu and select the Project settings menu option.

Text string table

1. Text string table
To edit a text string, click the text cell where you want to set your custom text for the string resource.
Top

OK button

2. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

3. Cancel button Click this button to discard all changes and close the dialog.
Top

Help button

4. Help button Click this button to display the context help.
Top

Actions button

5. Actions button Click this button to import settings from another project file or to reset settings to default values.
Top


Designer area settings

You can use this dialog to customize the designer area to your liking. You can open the designer area options by clicking the [image] button when in the Designer mode.
Dr.Explain displays the following dialog:
Designer area settings

Grid step

1. Grid step
Use this numeric field to specify the distance between lines of the designer area grid in pixels.
Top

Grid line color

2. Grid line color
Click the color box to set the color for the designer area grid.
Top

Control rectangle color

3. Control rectangle color
Click the color box to specify the color for control rectangles that are drawn with dashed line style.
Top

OK button

4. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

5. Cancel button Click this button to discard the changes and close the dialog.
Top

Help button

6. Help button Click this button to show the context help.
Top


Content editor settings

In this dialog you can configure the text editor settings, such as spell checking. To do so, you can:
  • •
    go to the Options menu and select the Project settings menu option;
  • •
    click [image] to display project settings and then click Content editor in the appeared dialog.
Content editor settings

Suggest from main dictionaries only

1. Suggest from main dictionaries only
Select this check box if you want the application to suggest words only from the main dictionaries.
Top

Ignore words in UPPERCASE

2. Ignore words in UPPERCASE
Select this check box if you want the application to skip words in UPPERCASE.
Top

Ignore words with numbers

3. Ignore words with numbers
Select this check box if you want the application to ignore words containing numbers.
Top

Ignore Internet and file addresses

4. Ignore Internet and file addresses
Select this check box if you want the application to skip checking Internet and files addresses.
Top

Custom dictionary path

5. Custom dictionary path
Here you can specify the path to the custom dictionary. Click the [image] button to browse a custom dictionary file (.dicu format).
Top

Main dictionary list

6. Main dictionary list
Select the check boxes next to the languages for the dictionaries the application must use for spell checking.
Top

OK button

7. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

8. Cancel button Click this button to cancel your changes and close the dialog.
Top

Help button

9. Help button Click this button to show the context help.
Top

Import settings

10. Import settings Click this button to import the settings from another project file.
Top

Content editor settings

Variables
Text formatting styles
List styles


Variables

In this dialog you can configure the text variables for your project. To edit the variables, you can:
  • •
    go to the Options menu and select the Project settings menu option;
  • •
    click [image] to display project settings and then click Variables in the appeared dialog.
You can use variables in text descriptions by clicking the Insert variable button in the text editor toolbar.
Example: You can add variable VERSION and set its value to "1.5" and then use it throughout the project. To change the version number to "2.0" you only need to change the value of the variable instead of all the descriptions where it is mentioned.

List of text variables

1. List of text variables
The list displays the text variables that are defined for the project. You may use these variables in text descriptions by clicking the Insert Variable button in the text editor toolbar.
Top

Add/remove variable buttons

2. Add/remove variable buttons
Use these buttons to add new variables to the list or remove them.
Top

OK button

3. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

4. Cancel button Click this button to cancel your changes and close the dialog.
Top

Help button

5. Help button Click this button to show the context help.
Top


Text formatting styles

In this dialog you can configure the text formatting styles. You can use these styles to quickly format the text in the Content editor . To edit the formatting styles:
  • •
    click the [image] button to display the project settings and then click Formatting styles in the appeared dialog;
  • •
    go to the Options menu and select the Project settings menu option.
Text formatting styles

Styles list

1. Styles list
The list displays styles available in the project. Use the buttons below the list to add new styles or to delete existing ones.
Top

Add style button

2. Add style button Click this button to add your own style to the list.
Top

Sorting buttons

3. Sorting buttons Use these buttons to sort the styles in the list.
Top

Remove style button

4. Remove style button Click this button to remove a selected style from the list.
Top

Style properties

5. Style properties
In this section you can configure the font settings (font face, size, color, and decoration) for the selected or created style.
Top

Preview

The preview section shows a sample text formatted with the selected style.
Top

OK button

7. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

8. Cancel button Click this button to cancel your changes and close the dialog.
Top

Help button

9. Help button Click this button to show the context help.
Top

Import settings

10. Import settings Click this button to import the settings from another project file.
Top


List styles

In this dialog you can configure the list styles. You can use these styles to create customized multilevel lists in the Content editor . To edit the list styles:
  • •
    click the [image] button to display the project settings and then click Formatting styles in the appeared dialog;
  • •
    go to the Options menu and select the Project settings menu option.

List styles

1. List styles
Use this list to select a style you wish to customize.
Top

Add/remove style

2. Add/remove style
These buttons allow you to add and remove styles from the list.
Top

List level

3. List level
Use the numbered buttons to select a level of list you want to customize.
Top

Type of numbering

4. Type of numbering
Use this drop-down to set the numbering type for a certain list level.
Top

Type of delimiter

5. Type of delimiter
Use this drop-down to set the delimiter type for a certain list level.
Top

Final delimiter

6. Final delimiter
Use this option to enable or disable the delimiter sign in the end of the number for current level.
Top

Previous level concatenation

7. Previous level concatenation
Uncheck this option if you want to exclude all parent level numberings from current level's number.
Top

Preview

The preview area displays numbering style of all levels at once. Currently selected level is colored with black. Also, you can click a level you want to customize.
Top

OK button

9. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

10. Cancel button Click this button to cancel your changes and close the dialog.
Top

Help button

11. Help button Click this button to show the context help.
Top

Import settings

12. Import settings Click this button to import the settings from another project file.
Top


Collaboration settings

In this dialog you can configure options for Teamwork & collaboration functionality of the project.
  • •
    go to the Options menu and select the Project settings menu option;
  • •
    click [image] to display project settings and then click Collaboration in the appeared dialog.

Auto-commit settings

1. Auto-commit settings
Use these options to enable/disable automatic commit for Project Tree and Keywords.
Top

Tiwri account credentials

2. Tiwri account credentials
Use this section to provide your tiwri.com credentials to access your remote repository with shared projects.
Top

OK button

3. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

4. Cancel button Click this button to cancel your changes and close the dialog.
Top

Help button

5. Help button Click this button to show the context help.
Top

Import settings

6. Import settings Click this button to import the settings from another project file.
Top


Keywords

If you plan to generate a CHM help file then keep in mind that you can add keywords to create an index list. Each keyword is assigned to certain pages of the generated help file.
Select a page in the project tree and choose the keywords that you want to link to that page by selecting the corresponding check boxes next to them. Use the toolbar buttons to add or delete keywords.

Add sibling keyword

1. Add sibling keyword Click this button to add a new keyword at the same level. You can also use the Insert key to do this.
Top

Add keyword inside

2. Add keyword inside Click this button to add a sub keyword to the selected one. Keyboard shortcut for this command is Alt+Insert.
Top

Remove keyword

3. Remove keyword Click this button to delete the selected keyword. You can also use the Delete key to do this.
Top

Keyword references

4. Keyword references Click this button to see all the topics assigned to the selected keyword.
Top

Keyword filter

5. Keyword filter Click this button to hide/show unrelated (unchecked) keywords.
Top


Publishing help project

Publishing your help projects is the final step of help authoring. Once you completed your project, made all necessary revisions and changes, you can start generating professional help with Dr.Explain. It allows you to output your help project to the following formats:
  • •
    HTML
  • •
    CHM
  • •
    RTF
  • •
    PDF

Publishing help project

Publishing HTML help
Publishing CHM file
Publishing RTF file
Publishing PDF file


Publishing HTML help

HTML is preferable if your software is platform-independent and users can also open the help file in their web browsers on any operating system. Storing help files as HTML pages on your website is also useful when you update your documentation frequently by adding new topics and pages. In this case, users do not have to download the entire help file after each update.
There are several ways to publish your help project to HTML:
  • •
    click [image] on the application toolbar;
  • •
    go to the Options menu and click the Export to HTML menu option;
  • •
    use the Alt+Shift+L keyboard shortcut.
Once you select this option, the following dialog appears:
Publishing HTML help

Path field

1. Path field
Specify the path to the directory where Dr.Explain should save the HTML files. Use the Browse button to browse for the necessary folder.
Top

Validation tool

2. Validation tool
Select this check box if you want to validate your project files before publishing them.
Top

Folder cleanup

3. Folder cleanup
Check this option to clear the output folder before export. Beware, this function will delete all files in destination folder.
Top

Automatic publishing

4. Automatic publishing
Check this option to upload output files onto your web server automatically via FTP or onto your Tiwri site.
Top

Index file

5. Index file
Select this check box if you want to add the index file to the generated HTML files. The index file is usually the starting page of the online manual.
Top

Progress bar

This bar shows the progress of the publishing process.
Top

Process log

This section shows the log messages of the publishing processes.
Top

More options

8. More options Click this button to display the HTML export settings dialog where you can configure the options for the output files.
Top

Browse button

9. Browse button Click this button to browse for the directory where Dr.Explain should save the published HTML files to.
Top

Open button

10. Open button Click this button to open target folder in Windows Explorer.
Top

Start/Stop export button

11. Start/Stop export button Click this button to start the publishing process. During the publishing process, this button turns into the Stop export button. Use it when you need to stop the publishing process and add any changes to your project.
Top

Close button

12. Close button Click this button to close the Batch export to HTML pages dialog.
Top
Once the publishing process is completed you can use the generated files (from the folder you specified in the path field) to upload them to your website and turn into online help for your application.
Upon completion of the publishing process, Dr.Explain will open the generated HTML help in your default browser:
The web help layout is responsive and is optimized for small screens of mobile and tablet devices as well:


Publishing CHM file

CHM file is one of the most convenient ways to deliver your software help in a single indexed file along with your program. The HTMLhelp API allows for opening a specific topic within the CHM file (e.g. by file name). Thus, with CHM you can easily implement context sensitive help functionality in your software application.
There are several ways to publish your help project to CHM:
  • •
    click [image] on the application toolbar;
  • •
    go to the Options menu and click the Export to CHM menu option;
  • •
    use the Alt+Shift+M keyboard shortcut.
Once you select this option, the following dialog appears:
Publishing CHM file

Validation tool option

1. Validation tool option
Select this check box if you want to validate your project files before publishing the CHM file.
Top

Open CHM file

2. Open CHM file
Clear this check box (it's selected by default) if you don't want to automatically open the generated CHM file.
Top

Silently overwrite option

3. Silently overwrite option
This check box does not appear until you publish your first CHM file. If you select it, you will skip the Save As dialog next time you generate your CHM file.
Top

Progress bar

This bar shows the progress of the publishing process.
Top

Process log

This section shows the log messages of the publishing processes.
Top

More options

6. More options Click this button to display the CHM export settings dialog where you can configure the options for the output files.
Top

Start/Stop export button

7. Start/Stop export button Click this button to start the publishing process. During the publishing process, this button turns into the Stop export button. Use it when you need to stop the publishing process and add any changes to your project.
Top

Close button

8. Close button Click this button to close the Export to CHM file dialog.
Top
Upon completion of the publishing process, Dr.Explain will open the generated CHM file (if you didn't clear the corresponding check box):


Publishing RTF file

RTF (Rich Text Format) file is good for printing documentation, while it may look slightly different in various document readers on different operating systems, specifically graphics and embedded objects. These formats may be less convenient for complex documents with multiple pages and objects because of the significant amount of computer memory that is consumed to display them. If you open the exported RTF file in Microsoft Word and save it in Microsoft Word format (.docx), the resulting file might be less in size than the original RTF one.
There are several ways to publish your help project to RTF:
  • •
    click [image] on the application toolbar;
  • •
    go to the Options menu and click the Export to RTF menu option;
  • •
    use the Alt+Shift+R keyboard shortcut.
Once you select this option, the following dialog appears:
Publishing RTF file

Open RTF file

1. Open RTF file
Select this check box if you want the application to automatically open the generated RTF file.
Top

Silently overwrite

option

2. Silently overwrite option
This check box does not appear until you publish your first RTF file. If you select it, you will skip the Save As dialog next time you generate your RTF file.
Top

Progress bar

This bar shows the progress of the publishing process.
Top

More options

4. More options Click this button to display the RTF export settings dialog where you can configure the options for the output files.
Top

Start export button

5. Start export button Click this button to start the publishing process.
Top

Close button

6. Close button Click this button to close the Export to RTF file dialog.
Top
Upon completion of the publishing process, Dr.Explain will open the generated RTF file (if you didn't clear the corresponding check box):


Publishing PDF file

PDF (Printable Document Format) is an open standard for document exchange created by Adobe Systems in 1993. If you need documentation to look the same way in every platform, you can use PDF format to create printable manuals. PDF files created with the Dr.Explain contain Topic of Contents (TOC), bookmarks, links, and graphics.
There are several ways to publish your help project to PDF:
  • •
    click [image] on the application toolbar;
  • •
    go to the Options menu and click the Export to PDF menu option;
  • •
    use the Alt+Shift+D keyboard shortcut.
Once you select this option, the following dialog appears:
Publishing PDF file

Validation tool option

1. Validation tool option
Select this check box if you want to validate your project files before publishing the PDF file.
Top

Open PDF file

2. Open PDF file
Select this check box if you want the application to automatically open the generated PDF file.
Top

Silently overwrite

3. Silently overwrite
This check box does not appear until you publish your first PDF file. If you select it, you will skip the Save As dialog next time you generate your PDF file.
Top

Progress bar

This bar shows the progress of the publishing process.
Top

Process log

This section shows the log messages of the publishing processes.
Top

More options

6. More options Click this button to display the PDF export settings dialog where you can configure the options for the output files.
Top

Start export

7. Start export Click this button to start the publishing process.
Top

Close button

8. Close button Click this button to close the Export to PDF file dialog.
Top
Upon completion of the publishing process, Dr.Explain will open the generated PDF file (if you didn't clear the corresponding check box):


Teamwork & collaboration

Teamwork & collaboration is the new functionality introduced in Dr.Explain 5.0. The collaboration feature might be useful not only to team of several writers but to single writers as well.
This section describes how multiple Dr.Explain users can work together on the same projects via Tiwri platform.

Teamwork & collaboration

Basic principles
Tiwri.com
Creating a shared project
Assigning users to a shared project
Opening a shared project (Checkout)
Receiving project updates
Editing remote project's elements
Committing changes
Reverting changes
Project changes history
Detaching a shared project from server
Local copy of a shared project


Basic principles

Teamwork and collaboration is the new functionality introduced in Dr.Explain 5.0. The collaboration feature might be useful not only to team of several writers but to single writers as well.
To start using the collaboration feature you must create an account at tiwri.com ( more details about Tiwri service ).
As soon as you've created an account at tiwri.com, you're able to create shared projects either via Tiwri web interface or right in the Dr.Explain application . Then you can share the project with other users whose e-mail you know. You can create either a blank project or upload an existing Dr.Explain project to Tiwri and make it shared.
All operations with shared projects are performed in the Dr.Explain application. To modify a certain element of the project you must perform Edit command. In most cases the Edit command is performed automatically once you've started editing the element, e.g. start typing in the editor. In the same moment the element gets locked on the Tiwri server and nobody will be able to modify it until you commit or revert your changes to Tiwri server.
To see your changes other users must perform Update command in Dr.Explain.
To see all the changes in the project use Project history function.
Note: to be able to work with Collaboration function in most cases you need active Internet connection to send and receive data from Tiwri server.
The most important teamwork functions and commands are grouped in Collaboration menu.


Tiwri.com

Tiwri.com is a cloud web platform that allows Dr.Explain users to work together on the same projects and to publish their online manuals right from Dr.Explain application.
To be able to use this functions you must create an account on tiwri.com platform. Then, you'll be able to create new shared projects, manage user permissions, and to track user activity.
This section shortly describes basic functions of Tiwri service which you can use to work with shared Dr.Explain projects.

Tiwri.com

Activity section
Documents section
Collaborators section
Settings section


Activity section

The Activity section is available in your Tiwri account at http://www.tiwri.com/central/collaboration/activity
The section shows the changes history for any shared project which you have access to.

Collaboration section menu

1. Collaboration section menu
Use the menu to navigate across Collaboration sections of your Tiwri account.
Top

Project changes list

2. Project changes list
The list displays the commit operations performed in the project in reverse chronological order. There are Mail-To links near your colleague names, so you can send them email instantly from this page.
Top

Filters

Use these options to filter the activity records by project name, by time period, user name. Click filter fields to add new values.
Note: if Documents field is empty no activity records will be shown. Click the field to see the list of available documents.
Top


Documents section

The Documents section is available in your Tiwri account at http://www.tiwri.com/central/collaboration/documents
The section lists the shared projects which you have access to. Also you can create a new shared project in this section.

Collaboration section menu

1. Collaboration section menu
Use the menu to navigate across Collaboration sections of your Tiwri account.
Top

Project changes list

2. Project changes list
The list displays all shared projects you have access to. The project owner names are shown in the middle column. Use iconic buttons in the right column of the list to manage the projects.
Press [image] button to see the list of topics in the project.
Press [image] button to manage the list of users who have access to the project.
Press [image] button to see the changes history of the project. You can also see the project history either in Activity section of your Tiwri account or in Dr.Explain application.
Press [image] button to revoke access to the project. This function is available for projects which are owned by other users.
Press [image] button to change the project title and description. This function is available for projects which are owned by you.
Press [image] button to remove the project from Tiwri repository. This function is available for projects which are owned by you.
Top

New document button

3. New document button
Use this button to create a new blank shared document in Tiwri repository. You can also create a shared project in Dr.Explain application.
Top


Collaborators section

The Collaborators section is available in your Tiwri account at http://www.tiwri.com/central/collaboration/staff
The section lists all users who have access to the same shared projects which you have to. Also you can add new collaborators and grant them access to your shared projects in this section.
Please review Tiwri Collaboration: Terms of Use FAQ for more details on how Collaboration module works.

Collaboration section menu

1. Collaboration section menu
Use the menu to navigate across Collaboration sections of your Tiwri account.
Top

Collaborators list

2. Collaborators list
The list displays all users who have access to the same shared projects which you have to. There are several categories of collaborators:
- users who own some shared documents and who granted access to them to you.
- users to whom you granted access to your own documents.
- you.
The rest are users who have access to the same documents that you have to, but those documents aren't owned by you or by those uses.
Please review Tiwri Collaboration: Terms of Use FAQ for more details on how Collaboration module works.
Use iconic buttons in the right column of the list to manage the collaborators.
Press [image] button to see the list of documents you share with the user.
Press [image] button to see the activity of the user. You can also see the user activity either in Activity section of your Tiwri account or in Dr.Explain application for a certain project.
Press [image] button to send email to the user. This function is available for Staff users only.
Press [image] button to deny access to your projects for the user. This function is available for Staff users only.
Top

Add manager button

3. Add manager button
Use this button to add a new manager to your account.
A manager is another Tiwri user, usually a member of your team, who can be entitled by you to manage documents in your account (that is, to create, delete, and share documents). A manager is not allowed to switch your account to another Tiwri plan, or to access your account settings or billing settings. To assign a manager, you must be subscribed to a paid plan. Please review Tiwri Collaboration: Terms of Use FAQ for more details on how Collaboration module works.
The following dialog will appear.
You can either enter a user email address or press [image] button to choose an existing user from the list.
Top

Add staff button

4. Add staff button
Use this button to grant access to your project to a new user. The following dialog will appear.
You can either enter a user email address or press [image] button to choose an existing user from the list.
Top


Settings section

The Settings section is available in your Tiwri account at http://www.tiwri.com/central/collaboration/settings
The section allows to set and customize your Tiwri Collaboration service plan.
Please review Tiwri Collaboration: Terms of Use FAQ for more details on how Collaboration module works.

Collaboration section menu

1. Collaboration section menu
Use the menu to navigate across Collaboration sections of your Tiwri account.
Top

Service plan

2. Service plan
The section displays the current service plan for your Tiwri Collaboration module.
The icons [image] show how many staff users and shared documents are allowed for the current plan.
Press [image] button to change the plan settings. The following dialog will appear.
Here you can add extra staff users or extra documents to your service plan package. Please review Tiwri Collaboration: Terms of Use FAQ for more details on how Collaboration module works.
Top

Choose plan button

3. Choose plan button
Use this button to set another service plan for your Tiwri Collaboration module.
The following dialog will appear.
Please review Tiwri Collaboration: Terms of Use FAQ for more details on how Collaboration module works.
Top


Creating a shared project

There are several ways to create a new blank shared project:
  • •
    In your account on tiwri.com server press [image] button in Documents section.
  • •
    In the Dr.Explain application use command Create a shared project on tiwri.com either in startup screen or in File menu.
Also, you can create a shared project from an exiting Dr.Explain local project. Open your local file in Dr.Explain and press [image] button in the main toolbar or use Upload command in Collaboration menu.
In all cases, the following dialog will appear.
Creating a shared project

Tiwri account credentials

1. Tiwri account credentials
Please provide here your Tiwri account login and password to connect to your project repository.
Top

Connection status

2. Connection status
The connection status line displays informational messages about your connection status or errors.
Top

Project owner

3. Project owner
Use this drop-down list to assign the project owner role either to yourself or to someone who made you a manager in his/her Tiwri account. Read more about managing user rights.
Top

Project name

4. Project name
Specify the project name here. Later, you can change it in Documents section in your Tiwri account.
Top

User permissions

5. User permissions
Use this section to set a permission type for each collaborator. Simply click the color box to set a certain permission type. You can add new collaborators and also change permissions in Documents section in your Tiwri account.
Top

Local copy destination

6. Local copy destination
Use this box to specify a file where local copy of the project will be stored.
Top


Assigning users to a shared project

Initially, you can grant permissions to view or edit you shared project to other users when you are creating a new shared project.
Also, you can add new collaborators and change their rights in the Documents section of your tiwri.com account.


Opening a shared project (Checkout)

Note: use Checkout function only when you're wishing to start working with the new shared project and if you have no local copy of it. If you already have a local copy of a shared project then simply open it as a usual Dr.Explain project.
There are two ways to open (checkout) a shared project:
  • •
    use Checkout project from tiwri.com item in startup screen;
  • •
    use Checkout project from tiwri.com command in File menu.
The following dialog will appear:
Opening a shared project (Checkout)

Tiwri account credentials

1. Tiwri account credentials
Please provide here your Tiwri account login and password to connect to your project repository. Then press Connect button to load the list of available projects from your Tiwri repository.
Top

Connection status

2. Connection status
The connection status line displays informational messages about your connection status or errors.
Top

Remote project list

3. Remote project list
Once the connection to your Tiwri account is established the list of available projects will be loaded and shown. To open a certain project either double click on it or select its radio button and press OK.
Top

Choose a place for local copy

4. Choose a place for local copy
Use this box to specify a file where local copy of the project will be stored.
Top


Receiving project updates

To see the shared project's changes made by other users you must perform Update command for your local copy.
Also, the project update is performed automatically when any changes are committed to the server. Moreover, if you are going to edit an element which was modified by another user you will be asked to perform project update as well.
In addition, there are two ways to perform project update manually:
  • •
    press [image] button in the main toolbar or press F5 key;
  • •
    use Update all command in Collaboration menu.


Editing remote project's elements

Use Edit command to start modifying elements in a shared project . In most cases the Edit command is performed automatically once you've started editing the element, e.g. start typing in the editor.
In the same moment the edited elements get locked on the Tiwri server and nobody will be able to modify them until you commit or revert your changes to Tiwri server.
To perform the Edit command for a certain topic click [image] icon in the project tree near the topic's node or use Edit this element command in the popup menu.
To edit all topics in a project tree's branch please use Edit sub-elements... command in the popup menu of the branch's parent topic.
To start editing entire project (and to lock all its topics on server) use Edit... command in Collaboration menu. The following dialog will appear.
In the dialog, please deselect the elements you do not want to edit and press OK.
To edit non-topic project elements, such as Keywords, Project tree or Project settings use Edit only submenu in Collaboration menu.


Committing changes

To merge your local changes with the shared project you must Commit your changes to the server. So, other users will see your modifications once they perform Update operation for their local copies. To send your changes to the server please click [image] icon near the topic node in the Project Tree. Also, you can use Commit this element command in the popup menu of the element.
Moreover, you can send to the server changes of a topic and of all its nesting topics with Commit sub-elements... command in the popup menu of the element.
To commit all project modifications use [image] button in the application toolbar, or Commit... command in Collaboration menu, or press F8 key. The following dialog will appear.

Elements to commit

1. Elements to commit
Uncheck project elements which you do not want to commit.
Top

Commit message

2. Commit message
Type in an optional commit message. This text will be shown in Project changes history and Activity section for this project.
Top
To commit changes of non-topic project elements, such as Keywords, Project Tree or Project Settings use Commit only submenu of Collaboration menu.

Committing changes

Auto-commit


Auto-commit

By default, the modifications made in the Project Tree and Keywords Tree are committed to the server automatically after 5 minutes since the last modification. If the Project tree has been modified the [image] icon will appear in the right bottom corner of the project tree panel. Position the mouse cursor over the icon to see how much time remains until auto-commit.
To cancel the automatic commit for a particular time click [image] icon and select Do not auto-commit this time command in the popup menu. To completely disable auto-commit for current project use Collaboration section in the Project Settings dialog.


Reverting changes

To discard changes made in a shared project use Revert command. To discard modifications of a certain topic use Revert this element command in the popup menu of this element.
To discard changes of a certain topic and of its nesting topics use Revert sub-elements... command in the popup menu of this element.
To discard all changes made in the project use Revert... command in Collaboration menu. The following dialog will appear.
In the dialog, please deselect the elements you do not want to revert and press OK.
To discard changes of non-topic project elements, such as Keywords, Project tree or Project settings use Revert only submenu in Collaboration menu.


Project changes history

To see all changes (commits) made in a shared project use Project history command in Collaboration menu. The following dialog will appear.
Project changes history

Filters

Use these options to filter the project history records by time period, user name, topic name, or commit message.
Top

Project history records

2. Project history records
The list displays the commit operations performed in the project in reverse chronological order. Select a record to see the details of a particular commit.
Top

Commit details

3. Commit details
Select a particular commit record in changes list to see the project elements that were actually modified then.
Top


Detaching a shared project from server

To detach a shared project from tiwri.com server use Detach this project copy from server command in Collaboration menu.
Detaching means that the project file will be permanently unlinked from the server and will be saved as a local project with no changes history and no server connection settings. All future changes will be saved in the local file only and won't be synchronized with the server copy.


Local copy of a shared project

A local copy is a Dr.Explain project file in .GUI format which is created on local PC during checking out a shared project from tiwri.com. Also, if you uploaded an existing local project to Tiwri server, the original source file became a local copy of the newly created shared project.
A local copy stores all cached data about associated shared project and allows Dr.Explain not to download all data from server every time you start working with the project. Also, a local copy stores connection settings and all your changes which have not been yet committed to server.
The path to local copy can be set in Checkout and Create a new shared project dialogs.
To create a second local copy you must Checkout a shared project from server once again and set another file name for it.
Note: creating several local copies of the same shared project is a tricky approach which is not recommended. There might be conflicts if you have not committed changes in different local copies of the same shared project on one PC.


Advanced practices

The topics in this chapter contain explanations of some advanced actions in Dr.Explain. They are useful for software developers and advanced users.

Advanced practices

Using command line commands
Compacting tool
Validation tool
Exporting sitemap and sitemap index
Help ID


Using command line commands

This feature is useful for the batch processing of numerous projects or for script-based automation. The command line mode allows exporting .GUI projects into the HTML, CHM, PDF or RTF format without displaying application windows.
To be able to use the command line commands, you need to use the special executable: <Program Files>\Dr.Explain\tools\deexport.exe
Command line syntax is:
HTML export:
deexport.exe filename.gui /sh [output folder]
CHM export:
deexport.exe filename.gui /sc [file.chm] [temp folder]
RTF export:
deexport.exe filename.gui /sr [file.rtf]
PDF export:
deexport.exe filename.gui /sp [file.pdf]
In case of errors or warnings the messages are written in the console.


Compacting tool

The Compacting tool is a useful tool for compressing your project by removing all inactive elements at once: pages, topics, controls. On large projects this will significantly increase the performance of your work and save disk space. In the settings, you can configure what kind of inactive elements must be removed from the project.
To compact your project, you can either go to the Tools menu and select the Compacting tool menu option or use the Alt+Shift+C keyboard shortcut. Once you select this option, Dr.Explain displays the following dialog:

Inactive controls removing

1. Inactive controls removing
Select this check box if you want to remove all inactive controls from the project screenshots.
Top

Inactive pages removing

2. Inactive pages removing
Select this check box if you want to remove inactive pages from your current project. These are pages which are not exported to any format.
Top

Active sub-pages keeping

3. Active sub-pages keeping
Select this check box if you want to keep inactive pages that have active subpages.
Top

Compact button

4. Compact button Click this button to start compacting your project.
Top

Cancel button

5. Cancel button Click this button to cancel the compacting process and close the dialog.
Top


Validation tool

The Validation tool is one of the advanced functions of Dr.Explain.
The Validation tool searches through your project files to find different types of errors and warnings such as:
  • 1.
    Duplicated topic/page names.
  • 2.
    Broken links.
  • 3.
    Unlinked keywords.
  • 4.
    Missed topic/page names.
  • 5.
    Missed or invalid Alias/Help ID values.
  • 6.
    Duplicated Alias/Help ID values.
To validate files in your project, you can either go to the Tools menu and select the Validation tool menu option or use the Alt+Shift+J keyboard shortcut. Once you select this option, Dr.Explain displays the following dialog:

Errors and warnings groups

1. Errors and warnings groups
The displayed tabs contain a list of the corresponding errors and warnings found in your project sorted by their severity.
Top

Issues list

This list shows actual errors and warnings of the certain type. See the hint below the list to know how to fix them.
2. Issues list
Top

Recheck button

3. Recheck button Click this button to check your project again to verify that you have fixed the issues.
Top

OK button

4. OK button Click this button to save your changes and close the dialog.
Top

Cancel button

5. Cancel button Click this button to discard your changes and close the dialog.
Top

Options button

6. Options button Click this button to configure what type of errors the Validation tool should be searching for when validating your project.
Possible values are:
  • •
    Check for no topic/page name.
  • •
    Check for broken links.
  • •
    Check for unlinked keywords.
  • •
    Check for Help ID errors.
  • •
    Run the validation tool before exporting.
Top


Exporting sitemap and sitemap index

A sitemap is a list of pages of a website, usually organized in a hierarchical manner. It helps users and search engines find pages on the site. The sitemap file helps search engine spiders properly index your help pages. That will make your help pages appear in the search engine database much faster.
A sitemap index is an XML file that lists multiple XML or RSS sitemap files. Most often it is an A-Z index that provides access to particular content, while a sitemap represents a general top-down overview of the whole site contents.
To export a sitemap go to the Tools menu and select the Export sitemap menu option. Dr.Explain will open a pop-up dialog asking for the location and name of the sitemap file and then create and save the sitemap file in the specified location.
To export the sitemap index, go to the Tools menu and select the Export sitemap index menu option. Dr.Explain will then automatically create a sitemap index for your help pages.


Help ID

With Dr.Explain you can assign the numerical Help ID values and text aliases to every help topic and later on use them for implementing context sensitive help file for your software application.
Then, you can create a map file to include it in your software source code. Dr.Explain can generate Help ID map files in four common formats:
.h (C++ header file),
.vb (Visual Basic map file),
.cs (C# source code file),
.inc (Object Pascal & Delphi file).


Keyboard shortcuts

The following section lists all available keyboard shortcuts and mouse controls that you can use when working with Dr.Explain.
  • •
    General
F1 — display context help.
Ctrl+N — create new project.
Ctrl+O — open project.
Ctrl+S — save open project.
Ctrl+Shift+O — open shared project from tiwri.com.
Ctrl+Alt+P — open project options.
  • •
    Topics
Ctrl+T — add child topic.
Ctrl+D — add topic at the same level.
Ctrl+W — add child topic with screenshot.
Ctrl+Q — add topic with screenshot at the same level.
Alt+Shift+I — import external files as topics.
Alt+Left — go back to the previously opened topic.
Alt+Right — go forward (usable after "go back" command).
  • •
    Search
Ctrl+F — find.
Ctrl+H — find and replace.
F3 — find next.
  • •
    Export
Alt+Shift+L — export to HTML.
Alt+Shift+D — export to PDF.
Alt+Shift+R — export to RTF.
Alt+Shift+M — export to CHM.
  • •
    Project Tree
F4 — switch to Text Editor.
Ctrl+Down — move topic one position below.
Ctrl+Up — move topic one position up.
Ctrl+Left — move topic to the previous level
Ctrl+Right — move topic to the next level
F2 — rename topic.
Ctrl+Delete — deletes topic.
Delete — hide/show topic (change Export to field).
  • •
    Editing
Alt+BackSpace — undo.
Shift+Delete — cut.
Shift+Insert — paste.
Ctrl+C — copy.
Ctrl+Insert — copy.
Ctrl+X — cut.
Ctrl+V — paste.
Ctrl+Y — redo.
Ctrl+A — select all.
Ctrl+Z — undo.
Ctrl+Shift+Z — redo.
Alt+Shift+BackSpace — redo.
  • •
    Text Editor
F4 — switch to Project Tree.
Ctrl+B — bold text.
Ctrl+I — italic text.
Ctrl+U — underline text.
Ctrl+= — subscript.
Ctrl+Shift+= — superscript.
Alt+Ctrl+1 — apply Heading 1 style.
Alt+Ctrl+2 — apply Heading 2 style.
Alt+Ctrl+3 — apply Code style.
Alt+Ctrl+4 — apply Quote style.
Ctrl+Shift+N — apply Normal style.
Alt+Ctrl+5 — apply User defined style 1.
....
Alt+Ctrl+0 — apply User defined style 6.
Ctrl+E — align center.
Ctrl+J — justify text.
Ctrl+L — align left.
Ctrl+R — align right.
Ctrl+K — insert hyperlink.
Ctrl+Shift+F5 — insert anchor.
Ctrl+Shift+P — insert image.
Ctrl+Shift+T — insert table.
Ctrl+Shift+V — insert video.
Ctrl+Shift+R — insert variable.
Ctrl+Shift+S — insert HTML code.
Ctrl+Shift+H — insert horizontal line.
Ctrl+Shift+B — insert page break.
Ctrl+Shift+L — insert plain list.
Ctrl+Alt+L — insert numbered list.
Ctrl+Alt+C — insert © symbol.
Ctrl+Alt+R — insert ® symbol.
Ctrl+Alt+T — insert ™ symbol.
Shift+Tab — decrease level, if pressed in the beginning of paragraph.
Ctrl+Shift+M — move left.
Ctrl+M — move right.
Shift+Enter — insert line break.
Ctrl+Enter — inside text: insert page break; inside table: add new row below.
Ctrl+Shift+Enter — split topic or create a new topic from selected text.
  • •
    Tools
Alt+Shift+C — start Compacting Tool.
Alt+Shift+J — start Validation Tool.
  • •
    Keywords
Insert — add a keyword on the same level.
Alt+Insert — add a subkeyword.
Delete — delete a keyword with all subkeywords.
  • •
    Collaboration
F8 — for local projects: upload project to tiwri.com; for shared projects: commit items to server.
F5 — update project from server.
  • •
    Additional mouse controls
Ctrl+Click link — navigate to the hyperlink.
In Designer mode: if you press and hold Alt when dragging a control rectangle, then pointer tail will move independently of the rectangle.
In Designer mode: if you press and hold Shift when moving a pointer with an Arrow key, you can move only its tail.
In Designer mode: hold Shift key while dragging bullet mark to snap bullet line to angles multiple of 15 degrees.


Troubleshooting

I cannot open my .GUI project file.

Do you have a *.gui.bak file next to the project file? Rename it to *.gui (i.e. remove the .bak extension) and try to open it again. This is a backup copy of the last saved version of your project file.
If this doesn’t work, please send your .GUI project file to our developers for investigation.

I cannot generate a CHM file. I see MSHHWC errors in the export log.

To be able to generate CHM files, please make sure that you have specified the path to HTML Help Workshop (HHWS) in the Project settings -> CHM export -> CHM compiler Dialog.
The default directory is "C:\Program Files\HTML Help Workshop".
If you don't have Microsoft HTML Help Workshop installed on your computer, then download it from the Microsoft website (free): http://msdn.microsoft.com/en-us/library/ms669985.aspx

The application doesn’t accept my license key.

You must enter the license key as a single line.
Please check if ...
  • •
    #1. ... you entered the registration data without trailing and leading spaces.
  • •
    #2. ... you entered the full registration key and it ends with the = character.
If this doesn't help, please send us a screenshot of your registration screen with the registration info.

When I open a CHM file I see the table of contents but the main content area displays an error.

This is a common issue related to Windows security policy regarding CHM files. It is not a Dr.Explain problem. Please read more about it in the article on our site:
http://www.drexplain.com/press/chm-files-the-page-cannot-be-displayed-error/
This often happens when users try to open a CHM file either from a remote location or right from the folder where they have just downloaded it (it must be moved into another folder first).

Search function doesn’t work in my local HTML help in the Chrome web browser.

This is a known issue of Google Chrome. It blocks AJAX requests for local files (file:///C:/Help/....). AJAX requests are used for search & index to dynamically load search results and a keyword list.
Therefore, either use another browser (Firefox, Opera, or IE) to preview local files or upload them to a web host and open in Chrome via HTTP protocol (e.g. http://localhost/help/...).

How do you remove the “Made by Dr.Explain” link?

To hide the Dr.Explain link in HTML/CHM:
1. Click the Project Settings tool button.
2. Select the HTML (CHM) export/Page structure section
3. Check Hide the Dr.Explain link check box.
4. Click OK.

HtmlHelp API call raises "HH_HELP_CONTEXT called without a [MAP] section" error.

This is a known issue of HtmlHelp API. You must set valid alias for topic you're trying to open by its Help ID number. Alias can be set in Topic properties.

Additional resources with FAQ and troubleshooting:

http://www.drexplain.com/forum/viewforum.php?f=5
http://www.drexplain.com/ordering_faq/
< Previous page